Sync with portage [Mon Jun 20 08:08:22 MSK 2022].

akrasnyh 2288
root 2 years ago
parent d2790f01b8
commit 1b7fd5d2d5

Binary file not shown.

Binary file not shown.

@ -0,0 +1,99 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7..10} )
PYTHON_REQ_USE="xml"
inherit autotools gnome.org gnome2-utils python-single-r1 vala
DESCRIPTION="Input assistive technology intended for switch and pointer users"
HOMEPAGE="https://wiki.gnome.org/Projects/Caribou"
LICENSE="LGPL-2.1"
SLOT="0"
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
COMMON_DEPEND="
${PYTHON_DEPS}
app-accessibility/at-spi2-core
$(python_gen_cond_dep '
>=dev-python/pygobject-2.90.3:3[${PYTHON_USEDEP}]
')
>=dev-libs/gobject-introspection-0.10.7:=
dev-libs/libgee:0.8
dev-libs/libxml2
>=media-libs/clutter-1.5.11:1.0[introspection]
>=x11-libs/gtk+-3:3[introspection]
x11-libs/libX11
x11-libs/libxklavier
x11-libs/libXtst
"
# gsettings-desktop-schemas is needed for the 'toolkit-accessibility' key
# pyatspi-2.1.90 needed to run caribou if pygobject:3 is installed
# librsvg needed to load svg images in css styles
RDEPEND="
${COMMON_DEPEND}
dev-libs/glib[dbus]
$(python_gen_cond_dep '
>=dev-python/pyatspi-2.1.90[${PYTHON_USEDEP}]
')
>=gnome-base/gsettings-desktop-schemas-3
gnome-base/librsvg:2
sys-apps/dbus
!<x11-base/xorg-server-1.20.10
"
DEPEND="
${COMMON_DEPEND}
dev-libs/libxslt
"
BDEPEND="
$(vala_depend)
>=dev-util/intltool-0.35.5
virtual/pkgconfig
"
PATCHES=(
"${FILESDIR}/${PN}-fix-compilation-error.patch"
"${FILESDIR}/${PN}-fix-subkey-popmenu.patch"
"${FILESDIR}/${PN}-fix-xadapter-xkb-calls.patch"
"${FILESDIR}/${PN}-fix-antler-style-css.patch"
"${FILESDIR}/${PN}-fix-python-env.patch"
"${FILESDIR}/${PN}-change_autostart_cinnamon.patch"
"${FILESDIR}/${PN}-drop_gir_patch.patch"
)
src_prepare() {
default
vala_src_prepare
gnome2_disable_deprecation_warning
eautoreconf
}
src_configure() {
econf \
--disable-maintainer-mode \
--disable-schemas-compile \
--disable-docs \
--disable-static \
--disable-gtk2-module \
--enable-gtk3-module
}
src_install() {
DOCS="AUTHORS NEWS README"
default
find "${D}" -name '*.la' -delete || die
python_optimize
}
pkg_postinst() {
gnome2_schemas_update
}
pkg_postrm() {
gnome2_schemas_update
}

Binary file not shown.

@ -1,5 +1,3 @@
DIST puppet-agent_7.15.0-1focal_amd64.deb 20342292 BLAKE2B 4d8a322182b10462353b4fb78b8a655765e6b91e31626c34126862cf27d7863ed6dcfdf6d8545c9bfb2be25e42bd0f3f34c5726885dc6508eb71aa09646e647a SHA512 b6887ef66c47fcfce7136e13ff96f7a8df8b11011fd9ec8cb01a79d8a7f7b77e43da63033d9c42446c4131ffe04e8bfaf5bdf70ba1cb6c37dcd1d6963024ef29
DIST puppet-agent_7.15.0-1focal_arm64.deb 19533904 BLAKE2B 234fc85f20df8bba9d1f33e84ac725326201984c041ab371dd645df2e6cce12b6c81481ceff01819dc884d3c8f6191d6e98aafbb78a6856733b4cc3255d0e905 SHA512 70f389bc29270317fc621ef7be2eea9764b490ae2da32fb3968bd2c966eec53ef7e65469ea7fd5069676e23feede48557575b9020783b50292b146cc17ae840e
DIST puppet-agent_7.16.0-1focal_amd64.deb 20349200 BLAKE2B 73a5bc404b988fc009b95e25ab906afdc56cf8a9b977d0974177bdd5dcf9c0882f10d7e56f05c054f2ff1ea89824879671f857d1f1bf41d4f725ae90994d24ac SHA512 57d58b0a4ea74f461e7820e1f99838eb3c357f1be5277623ce8bb5cdf6aa46696d53db7c64c16ede972bc01660f30ea19111d2495087032d412672564b8612f8
DIST puppet-agent_7.16.0-1focal_arm64.deb 19543124 BLAKE2B 2a946462ddf1344f05f21c5c5f0a3ad4a1b92fa0b386d405b6cb563b0cb3de0a06ad8212d6001f10ed7afe2d7787d1107732a5890e48de99a32cec802d78d16d SHA512 74db9defefe8aa91daaac8337dd500cf2582c017eab34f61992630a30dc9b2ef62ae5aba21b9ee94f30b6f92e99557e61da742711bba7df8200b3eca5a06f748
DIST puppet-agent_7.17.0-1focal_amd64.deb 20397624 BLAKE2B 8304f937e6eb3f1a3c2a72ba34fce029ecec99decaf1a78b08b556c1ebe3073fa159e70e43baf468e833ede2e9a659f6384f52969e16932ac24a2a997da14eee SHA512 f493298af50e6eed61c7ffb0cf4234b1eb69594caedd24826bc9bcb5d85e736101bfa98b14dcfdceab5ee98e8bc228f25743fdcce440398ff9e0019c6861bde2

@ -1,91 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit systemd unpacker tmpfiles
DESCRIPTION="general puppet client utils along with hiera and facter"
HOMEPAGE="https://puppetlabs.com/"
SRC_URI="amd64? ( http://apt.puppetlabs.com/pool/focal/puppet/${PN:0:1}/${PN}/${PN}_${PV}-1focal_amd64.deb )
arm64? ( http://apt.puppetlabs.com/pool/focal/puppet/${PN:0:1}/${PN}/${PN}_${PV}-1focal_arm64.deb )"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm64"
IUSE="puppetdb selinux"
RESTRICT="strip"
# virtual/libcrypt:= is in here despite being a pre-built package
# to ensure that the has_version logic for the symlink doesn't become stale
CDEPEND="!app-admin/puppet
!dev-ruby/hiera
!dev-ruby/facter
app-emulation/virt-what
acct-user/puppet
acct-group/puppet
virtual/libcrypt:="
DEPEND="
${CDEPEND}
app-admin/augeas"
RDEPEND="${CDEPEND}
app-portage/eix
sys-apps/dmidecode
sys-libs/libselinux
sys-libs/glibc
sys-libs/readline:0/8
sys-libs/libxcrypt[compat]
sys-libs/ncurses:0[tinfo]
selinux? (
sys-libs/libselinux[ruby]
sec-policy/selinux-puppet
)
puppetdb? ( >=dev-ruby/puppetdb-termini-5.0.1 )"
S=${WORKDIR}
QA_PREBUILT="*"
src_install() {
# conf.d
doconfd etc/default/puppet
doconfd etc/default/pxp-agent
# logrotate.d
insinto /etc/logrotate.d
doins etc/logrotate.d/pxp-agent
# puppet itself
insinto /etc/puppetlabs
doins -r etc/puppetlabs/*
# logdir for systemd
keepdir var/log/puppetlabs/puppet/
chmod 0750 var/log/puppetlabs/puppet/
# the rest
insinto /opt
dodir opt/puppetlabs/puppet/cache
doins -r opt/*
fperms 0750 /opt/puppetlabs/puppet/cache
# init
newinitd "${FILESDIR}/puppet.initd2" puppet
systemd_dounit lib/systemd/system/puppet.service
systemd_dounit lib/systemd/system/pxp-agent.service
newtmpfiles usr/lib/tmpfiles.d/puppet-agent.conf puppet-agent.conf
# symlinks
chmod 0755 -R "${D}/opt/puppetlabs/puppet/bin/"
dosym ../../opt/puppetlabs/bin/facter /usr/bin/facter
dosym ../../opt/puppetlabs/bin/hiera /usr/bin/hiera
dosym ../../opt/puppetlabs/bin/puppet /usr/bin/puppet
# Handling of the path to the crypt library during the ongoing migration
# from glibc[crypt] to libxcrypt
# https://www.gentoo.org/support/news-items/2021-07-23-libxcrypt-migration.html
if has_version "sys-libs/glibc[crypt]"; then
local crypt_target='../../../../usr/lib64/xcrypt/libcrypt.so.1'
else
local crypt_target='../../../../usr/lib/libcrypt.so.1'
fi
dosym $crypt_target /opt/puppetlabs/puppet/lib/libcrypt.so.1
}
pkg_postinst() {
tmpfiles_process puppet-agent.conf
}

@ -1,4 +1,3 @@
DIST puppet-5.5.22.tar.gz 2998132 BLAKE2B 8662c89190d0904fe44ffeca1cf9a9ddca40d57ba6fb2d1e644ca353ceb55b1ca3a91416f1eef2975233c9c4498784e7d7280c111ea0cc070870cadc69341d99 SHA512 5332b084a63bdf244672cc4751022c84a1cc50d3f394a13bdcbccf7fcf4ebea67953e88957f23046608bf25e9182548449be824c18289cb2bf1e3ed29b40dc58
DIST puppet-7.15.0.tar.gz 2817137 BLAKE2B ce76ad71251a9202d31e858706eb994c6210cbe97f31e56d95b8c36d541d0ce8d1e65ab33d399e7dca1c5ea8e7f4dfccb3a2a4d36baaed6ca31516b7e449bf2a SHA512 0d68bda85a5f61fdb74c3e70304d414afef238dff4f7a4cd60c17f5cc26fcb18ba7f81065d6295adde33bc181031b458d259daa84a41156c9589f5c0e3cb8951
DIST puppet-7.16.0.tar.gz 2817116 BLAKE2B d367005ea69ceb0f89f4294e74639ad61305f23929e5edf0385eb2cce5da76fa157c5bc7408599dcca4d9adba39c3b29250e78d8f584873f72bb34452a90a74d SHA512 b1f3c6072821225c9068089f44ad9ab955534f2d91bf88b44f762e0588442b9d6191eb89909dc05b7efc3a82302d2d3dc5a5a040fbc84f81645817d695b4db72
DIST puppet-7.17.0.tar.gz 2812615 BLAKE2B 80b5115b8825a87427a688ca7a9337334180fcb7722d437f44009b5cf74ede16dac52f1648a2e7595558abb5fa92322095e71dcf0d7d8d06a2275e13caf79163 SHA512 f691b6d3e931c5cc879c8e5129af2a935bedc891964ba5cbb873d6d69e0ec61bd82ca7d413a94389cda13cb6c8c536aae6f11dade4c6e2597abc7756a74f4df0

@ -1,127 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
USE_RUBY="ruby24 ruby25 ruby26 ruby27"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
RUBY_FAKEGEM_TASK_DOC="doc:all"
RUBY_FAKEGEM_EXTRAINSTALL="locales"
inherit ruby-fakegem systemd tmpfiles
DESCRIPTION="A system automation and configuration management software"
HOMEPAGE="https://puppet.com/"
SRC_URI="http://downloads.puppetlabs.com/puppet/${P}.tar.gz"
LICENSE="Apache-2.0 GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 x86"
IUSE="augeas diff doc emacs ldap rrdtool selinux shadow sqlite vim-syntax"
RESTRICT="test"
ruby_add_rdepend "
dev-ruby/hiera
dev-ruby/json:=
dev-ruby/semantic_puppet
>=dev-ruby/facter-3.0.0
dev-ruby/concurrent-ruby
augeas? ( dev-ruby/ruby-augeas )
diff? ( dev-ruby/diff-lcs )
doc? ( dev-ruby/rdoc )
ldap? ( dev-ruby/ruby-ldap )
shadow? ( dev-ruby/ruby-shadow )
sqlite? ( dev-ruby/sqlite3 )
virtual/ruby-ssl
dev-ruby/hocon"
ruby_add_bdepend "
doc? ( dev-ruby/yard )
test? (
dev-ruby/mocha
dev-ruby/rack
dev-ruby/rspec-its
)"
# this should go in the above lists, but isn't because of test deps not being keyworded
# dev-ruby/rspec-collection_matchers
RDEPEND+=" ${RDEPEND}
rrdtool? ( >=net-analyzer/rrdtool-1.2.23[ruby] )
selinux? (
sys-libs/libselinux[ruby]
sec-policy/selinux-puppet
)
vim-syntax? ( >=app-vim/puppet-syntax-3.0.1 )
>=app-portage/eix-0.18.0
acct-user/puppet
acct-group/puppet"
PDEPEND="emacs? ( >=app-emacs/puppet-mode-0.3-r1 )"
all_ruby_prepare() {
# Avoid spec that require unpackaged json-schema.
rm spec/lib/matchers/json.rb $( grep -Rl matchers/json spec) || die
# fix systemd path
eapply -p0 "${FILESDIR}/puppet-systemd.patch"
# Avoid specs that can only run in the puppet.git repository. This
# should be narrowed down to the specific specs.
rm spec/integration/parser/compiler_spec.rb || die
# Avoid failing spec that need further investigation.
rm spec/unit/module_tool/metadata_spec.rb || die
}
each_ruby_install() {
each_fakegem_install
# dosym "/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${P}" "/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${PN}"
}
all_ruby_install() {
all_fakegem_install
# systemd stuffs
systemd_dounit "${WORKDIR}/all/${P}/ext/systemd/puppet.service"
# tmpfiles stuff
newtmpfiles "${FILESDIR}/tmpfiles.d" "puppet.conf"
# openrc init stuff
newinitd "${FILESDIR}"/puppet.init-4.x puppet
keepdir /etc/puppetlabs/puppet/ssl
keepdir /var/lib/puppet/facts
keepdir /var/lib/puppet/files
fowners -R puppet:puppet /var/lib/puppet
fperms 0750 /var/lib/puppet
fperms 0750 /etc/puppetlabs
fperms 0750 /etc/puppetlabs/puppet
fperms 0750 /etc/puppetlabs/puppet/ssl
fowners -R :puppet /etc/puppetlabs
fowners -R :puppet /var/lib/puppet
# ext and examples files
for f in $(find ext examples -type f) ; do
docinto "$(dirname ${f})"
dodoc "${f}"
done
}
pkg_postinst() {
tmpfiles_process puppet.conf
elog
elog "Please, *don't* include the --ask option in EMERGE_EXTRA_OPTS as this could"
elog "cause puppet to hang while installing packages."
elog
elog "Portage Puppet module with Gentoo-specific resources:"
elog "http://forge.puppetlabs.com/gentoo/portage"
elog
elog "If updating from puppet 5 to 6, keep in mind that webrick (server/master)"
elog "suppert was removed for >=6.x, please migrate to puppetserver if you have"
elog "not already done so."
elog
}

@ -1,3 +1 @@
DIST puppetdb-7.10.0.tar.gz 48764663 BLAKE2B 912f779f8d409936122030469152865b50ce71c9b41dee6df1e2f9ada48a1be6ea2a5aa5901a95111cf18e9bd971753839fc461c993f9ffd1c82c367eff9aa7d SHA512 84a8b5071fe7db24b37245c6a1c0215f7720a1bb72aca7531f7957fd65cebe2f7b3090e913be0c4a68d9f94d19f739f23837bd858ad61ad1706b76b18fe5b0b0
DIST puppetdb-7.10.1.tar.gz 48769606 BLAKE2B 80686ab0ac16e71bd3758b55e10a4f59d29d1a954d62dc576af61777755384a24a3dde08fdb3f9159cf0d888377140cc13cee0c48904382ee2312300c6e8aa32 SHA512 cedebaa1f94e0f100dd9bac5f63a4bbaa19189a01abac011708de835e6a06d6222027f05a15ad2722261072154ebe9efd8f30de171b6f8640ee369dd51feb846
DIST puppetdb-7.9.0.tar.gz 48143509 BLAKE2B bd08f4127cd68080c7c7f2b9acd571a2fd0e6af4cc36b920eca5e420a2149dbc1c5dcfbb5ac152730e88b0e751f5acd42c5e8c2457673ccbba26fc40258c07d5 SHA512 b24a3233a08fe80c5e3b78bc05262cefb27c6d307cbd8f98c74766157db72d15c0f114c5c3cccd7733b9bb99ff9c7f229b6625af5e7b2ce7b6d349322507654d

@ -1,90 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit systemd tmpfiles
DESCRIPTION="PuppetDB collects data generated by Puppet"
HOMEPAGE="http://docs.puppetlabs.com/puppetdb/"
SRC_URI="https://downloads.puppetlabs.com/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
IUSE=""
KEYWORDS="~amd64 ~x86"
RDEPEND+=">=virtual/jdk-1.8.0"
DEPEND+="acct-user/puppetdb
acct-group/puppetdb"
src_prepare() {
sed -i 's/sysconfig/conf\.d/g' ext/redhat/puppetdb.service || die
sed -i 's/sysconfig/conf\.d/g' ext/bin/puppetdb || die
sed -i 's/sysconfig/conf\.d/g' install.sh || die
sed -i 's/var\/run/run/g' ext/puppetdb.tmpfiles.conf || die
sed -i 's/var\/run/run/g' install.sh || die
default
}
src_compile() {
einfo "not compiling"
}
src_install() {
dodir /opt/puppetlabs/server/data/puppetdb
insinto /opt/puppetlabs/server/apps/puppetdb
insopts -m0744
doins ext/ezbake-functions.sh
insopts -m0644
doins ext/ezbake.manifest
doins puppetdb.jar
insinto /etc/puppetlabs/puppetdb
doins ext/config/logback.xml
doins ext/config/bootstrap.cfg
doins ext/config/request-logging.xml
insinto /etc/puppetlabs/puppetdb/conf.d
doins ext/config/conf.d/jetty.ini
doins ext/config/conf.d/repl.ini
doins ext/config/conf.d/database.ini
doins ext/config/conf.d/config.ini
doins ext/config/conf.d/auth.conf
insopts -m0755
insinto /opt/puppetlabs/server/apps/puppetdb/scripts
doins install.sh
insinto /opt/puppetlabs/server/apps/puppetdb/cli/apps
doins ext/cli/foreground
doins ext/cli/ssl-setup
doins ext/cli/config-migration
doins ext/cli/foreground
doins ext/cli/anonymize
doins ext/cli/reload
doins ext/cli/start
doins ext/cli/stop
insinto /opt/puppetlabs/server/apps/puppetdb/bin
doins ext/bin/puppetdb
insopts -m0644
dodir /opt/puppetlabs/server/bin
dosym ../apps/puppetdb/bin/puppetdb /opt/puppetlabs/server/bin/puppetdb
dodir /opt/puppetlabs/bin
dosym ../server/apps/puppetdb/bin/puppetdb /opt/puppetlabs/bin/puppetdb
dosym ../../opt/puppetlabs/server/apps/puppetdb/bin/puppetdb /usr/bin/puppetdb
# init type tasks
newconfd ext/default puppetdb
systemd_dounit ext/redhat/puppetdb.service
newtmpfiles ext/puppetdb.tmpfiles.conf puppetdb.conf
newinitd "${FILESDIR}/puppetdb.initd-r2" puppetdb
# misc
insinto /etc/logrotate.d
newins ext/puppetdb.logrotate.conf puppetdb
fowners -R puppetdb:puppetdb /opt/puppetlabs/server/data/puppetdb
fperms -R 770 /opt/puppetlabs/server/data/puppetdb
}
pkg_postinst() {
tmpfiles_process puppetdb.conf
elog "to install please run '/opt/puppetlabs/server/bin/puppetdb ssl-setup'"
elog
elog "to upgrade please run '/opt/puppetlabs/server/bin/puppetdb config-migration'"
}

@ -1,90 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit systemd tmpfiles
DESCRIPTION="PuppetDB collects data generated by Puppet"
HOMEPAGE="http://docs.puppetlabs.com/puppetdb/"
SRC_URI="https://downloads.puppetlabs.com/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
IUSE=""
KEYWORDS="amd64 x86"
RDEPEND+=">=virtual/jdk-1.8.0"
DEPEND+="acct-user/puppetdb
acct-group/puppetdb"
src_prepare() {
sed -i 's/sysconfig/conf\.d/g' ext/redhat/puppetdb.service || die
sed -i 's/sysconfig/conf\.d/g' ext/bin/puppetdb || die
sed -i 's/sysconfig/conf\.d/g' install.sh || die
sed -i 's/var\/run/run/g' ext/puppetdb.tmpfiles.conf || die
sed -i 's/var\/run/run/g' install.sh || die
default
}
src_compile() {
einfo "not compiling"
}
src_install() {
dodir /opt/puppetlabs/server/data/puppetdb
insinto /opt/puppetlabs/server/apps/puppetdb
insopts -m0744
doins ext/ezbake-functions.sh
insopts -m0644
doins ext/ezbake.manifest
doins puppetdb.jar
insinto /etc/puppetlabs/puppetdb
doins ext/config/logback.xml
doins ext/config/bootstrap.cfg
doins ext/config/request-logging.xml
insinto /etc/puppetlabs/puppetdb/conf.d
doins ext/config/conf.d/jetty.ini
doins ext/config/conf.d/repl.ini
doins ext/config/conf.d/database.ini
doins ext/config/conf.d/config.ini
doins ext/config/conf.d/auth.conf
insopts -m0755
insinto /opt/puppetlabs/server/apps/puppetdb/scripts
doins install.sh
insinto /opt/puppetlabs/server/apps/puppetdb/cli/apps
doins ext/cli/foreground
doins ext/cli/ssl-setup
doins ext/cli/config-migration
doins ext/cli/foreground
doins ext/cli/anonymize
doins ext/cli/reload
doins ext/cli/start
doins ext/cli/stop
insinto /opt/puppetlabs/server/apps/puppetdb/bin
doins ext/bin/puppetdb
insopts -m0644
dodir /opt/puppetlabs/server/bin
dosym ../apps/puppetdb/bin/puppetdb /opt/puppetlabs/server/bin/puppetdb
dodir /opt/puppetlabs/bin
dosym ../server/apps/puppetdb/bin/puppetdb /opt/puppetlabs/bin/puppetdb
dosym ../../opt/puppetlabs/server/apps/puppetdb/bin/puppetdb /usr/bin/puppetdb
# init type tasks
newconfd ext/default puppetdb
systemd_dounit ext/redhat/puppetdb.service
newtmpfiles ext/puppetdb.tmpfiles.conf puppetdb.conf
newinitd "${FILESDIR}/puppetdb.initd-r2" puppetdb
# misc
insinto /etc/logrotate.d
newins ext/puppetdb.logrotate.conf puppetdb
fowners -R puppetdb:puppetdb /opt/puppetlabs/server/data/puppetdb
fperms -R 770 /opt/puppetlabs/server/data/puppetdb
}
pkg_postinst() {
tmpfiles_process puppetdb.conf
elog "to install please run '/opt/puppetlabs/server/bin/puppetdb ssl-setup'"
elog
elog "to upgrade please run '/opt/puppetlabs/server/bin/puppetdb config-migration'"
}

@ -1,3 +1,2 @@
DIST puppetserver-7.6.1.tar.gz 64646806 BLAKE2B 4905504e68ee2dbbe0705553da3ee73826dc6bd50cc9ea8e62f3a4f9b5f67e53e829a0faa465fcf3b76dd85288eef71e472f272b0506c5e951b5d88df4274c9f SHA512 5a76e0053f41bf51cb0c4f79a6785e7759ba4ecaeadb84ce3dc777a288910d355bbeb0efc438eb3fddc09b7f7471526124bbfd076bff9091eecb341f3958130b
DIST puppetserver-7.7.0.tar.gz 64646018 BLAKE2B 7ce0dfc469705093107f3761c25119a488fffd0bf95112108b86fd0bbaf923d090712c0612d0efb8226059645b15386593fcc5b5c13b0881a9ffd36b714a7d50 SHA512 f56a94cfb75f2e95aef4947b2e755cda1ba4b3a1f646f14525c2ed2434c49da7d71b5dc2766bae727dcc307e06e2c56df80682b2376d8379b7c291a319a37ed1
DIST puppetserver-7.8.0.tar.gz 64651673 BLAKE2B 7bd53e3a15128eb4405b47edc066e702a3ea702a22258d039a4be5a7fecb509c724dcf21d893e9d76a99e9c94ca8a514d48bcd7085bcf429dd318defdf9fbd8d SHA512 82503c79e3d24ae2700537c8acdd410ddd3b400993d51f392f30664f6d259c224ba782c8ebeaf21e49c4acfb503b2f1a8ac880359a67c8d008797abcaa3210ab

@ -1,131 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit systemd tmpfiles
DESCRIPTION="Puppet Server is the next-generation application for managing Puppet agents"
HOMEPAGE="http://docs.puppetlabs.com/puppetserver/"
SRC_URI="https://downloads.puppetlabs.com/puppet/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="puppetdb"
# will need the same keywords in puppet-agent (puppet-agent now has arm64)
KEYWORDS="amd64"
RDEPEND+="
>=virtual/jdk-1.8.0
app-admin/puppet-agent[puppetdb?]"
DEPEND+="acct-user/puppet
acct-group/puppet"
src_prepare() {
sed -i 's/sysconfig\/puppetserver/default\/puppetserver/g' ext/redhat/puppetserver.service || die
sed -i 's/sysconfig\/puppetserver/default\/puppetserver/g' ext/bin/puppetserver || die
sed -i 's/sysconfig\/puppetserver/default\/puppetserver/g' install.sh || die
sed -i 's/var\/run/run/g' ext/config/conf.d/puppetserver.conf || die
sed -i 's/var\/run/run/g' ext/redhat/puppetserver.service || die
sed -i 's/var\/run/run/g' install.sh || die
default
}
src_compile() {
einfo "not compiling"
}
src_install() {
insinto /opt/puppetlabs/server/apps/puppetserver
insopts -m0774
doins ext/ezbake-functions.sh
insopts -m0644
doins ext/ezbake.manifest
doins puppet-server-release.jar
insinto /etc/puppetlabs/puppetserver
doins ext/config/logback.xml
doins ext/config/request-logging.xml
insinto /etc/puppetlabs/puppetserver/services.d
doins ext/system-config/services.d/bootstrap.cfg
doins ext/config/services.d/ca.cfg
insinto /etc/puppetlabs/puppetserver/conf.d
doins ext/config/conf.d/puppetserver.conf
doins ext/config/conf.d/auth.conf
doins ext/config/conf.d/global.conf
doins ext/config/conf.d/web-routes.conf
doins ext/config/conf.d/metrics.conf
doins ext/config/conf.d/webserver.conf
insopts -m0755
insinto /opt/puppetlabs/server/apps/puppetserver/scripts
doins install.sh
insinto /opt/puppetlabs/server/apps/puppetserver/cli/apps
doins ext/cli/ca
doins ext/cli/irb
doins ext/cli/foreground
doins ext/cli/gem
doins ext/cli/ruby
doins ext/cli/reload
doins ext/cli/start
doins ext/cli/stop
insinto /opt/puppetlabs/server/apps/puppetserver/cli
doins ext/cli_defaults/cli-defaults.sh
insinto /opt/puppetlabs/server/apps/puppetserver/bin
doins ext/bin/puppetserver
insopts -m0644
dodir /opt/puppetlabs/server/bin
dosym ../apps/puppetserver/bin/puppetserver /opt/puppetlabs/server/bin/puppetserver
dodir /opt/puppetlabs/bin
dosym ../server/apps/puppetserver/bin/puppetserver /opt/puppetlabs/bin/puppetserver
dosym ../../opt/puppetlabs/server/apps/puppetserver/bin/puppetserver /usr/bin/puppetserver
dodir /opt/puppetlabs/server/apps/puppetserver/config/services.d
# other sys stuff
dodir /etc/puppetlabs/code
# needed for systemd
keepdir /var/log/puppetlabs/puppetserver
dodir /etc/puppetlabs/puppet/ssl
fowners -R puppet:puppet /etc/puppetlabs/puppet/ssl
fperms -R 771 /etc/puppetlabs/puppet/ssl
# systemd type things
insinto /etc/systemd/system/puppetserver.service.d/
systemd_dounit ext/redhat/puppetserver.service
insinto /etc/default
newins ext/default puppetserver
# normal init type tasks
dosym ../default/puppetserver /etc/conf.d/puppetserver
newinitd "${FILESDIR}/puppetserver.init-r1" puppetserver
# misc
insinto /etc/logrotate.d
newins ext/puppetserver.logrotate.conf puppetserver
# cleanup
dodir /opt/puppetlabs/server/data/puppetserver/jruby-gems
fowners -R puppet:puppet /opt/puppetlabs/server/data
fperms -R 775 /opt/puppetlabs/server/data/puppetserver
fperms -R 700 /var/log/puppetlabs/puppetserver
insinto /opt/puppetlabs/server/data
doins ext/build-scripts/jruby-gem-list.txt
doins ext/build-scripts/mri-gem-list-no-dependencies.txt
newtmpfiles ext/puppetserver.tmpfiles.conf puppetserver.conf
}
pkg_postinst() {
tmpfiles_process puppetserver.conf
elog "to install you may want to run the following:"
elog
elog "puppet config set --section master vardir /opt/puppetlabs/server/data/puppetserver"
elog "puppet config set --section master logdir /var/log/puppetlabs/puppetserver"
elog "puppet config set --section master rundir /run/puppetlabs/puppetserver"
elog "puppet config set --section master pidfile /run/puppetlabs/puppetserver/puppetserver.pid"
elog "puppet config set --section master codedir /etc/puppetlabs/code"
elog
elog "# install puppetserver gems"
elog "cd /opt/puppetlabs/server/apps/puppetserver"
elog "echo \"jruby-puppet: { gem-home: ${DESTDIR}/opt/puppetlabs/server/data/puppetserver/vendored-jruby-gems }\" > jruby.conf"
elog "while read LINE; do"
elog " java -cp puppet-server-release.jar:jruby-9k.jar clojure.main -m puppetlabs.puppetserver.cli.gem --config jruby.conf -- install --no-document \$(echo \$LINE |awk '{print \$1}') --version \$(echo \$LINE |awk '{print \$2}')"
elog "done < /opt/puppetlabs/server/data/jruby-gem-list.txt"
elog "echo \"jruby-puppet: { gem-home: ${DESTDIR}/opt/puppetlabs/puppet/lib/ruby/vendor_gems }\" > jruby.conf"
elog "while read LINE; do"
elog " java -cp puppet-server-release.jar:jruby-9k.jar clojure.main -m puppetlabs.puppetserver.cli.gem --config jruby.conf -- install --no-document --ignore-dependencies \$(echo \$LINE |awk '{print \$1}') --version \$(echo \$LINE |awk '{print \$2}')"
elog "done < /opt/puppetlabs/server/data/mri-gem-list-no-dependencies.txt"
}

Binary file not shown.

@ -27,14 +27,14 @@ RDEPEND="
app-arch/lz4
virtual/acl
dev-python/pyfuse3[${PYTHON_USEDEP}]
=dev-python/msgpack-1.0.3[${PYTHON_USEDEP}]
=dev-python/msgpack-1.0.4[${PYTHON_USEDEP}]
dev-libs/openssl:0=
"
DEPEND="
dev-python/setuptools_scm[${PYTHON_USEDEP}]
dev-python/packaging[${PYTHON_USEDEP}]
dev-python/cython[${PYTHON_USEDEP}]
>=dev-python/cython-0.29.29[${PYTHON_USEDEP}]
dev-python/pkgconfig[${PYTHON_USEDEP}]
${RDEPEND}
"

Binary file not shown.

File diff suppressed because it is too large Load Diff

@ -1,35 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit go-module linux-info
DESCRIPTION="System container image builder for LXC and LXD"
HOMEPAGE="https://linuxcontainers.org/distrobuilder/introduction/"
SRC_URI="https://linuxcontainers.org/downloads/distrobuilder/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
RDEPEND="
dev-util/debootstrap
app-crypt/gnupg
sys-fs/squashfs-tools
dev-vcs/git
net-misc/rsync
"
CONFIG_CHECK="~OVERLAY_FS"
RESTRICT+=" test"
src_compile() {
cd _dist/src/github.com/lxc/distrobuilder || die "cd failed"
GO111MODULE="off" GOBIN="${S}/bin" GOPATH="${S}/_dist" \
go install ./... || die "compile failed"
}
src_install() {
dobin bin/*
}

File diff suppressed because it is too large Load Diff

Binary file not shown.

@ -1,7 +1,7 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=8
DESCRIPTION="Simple scripts for converting xml to groff or html"
HOMEPAGE="https://sourceforge.net/projects/xmltoman/"
@ -10,18 +10,20 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86"
IUSE=""
RDEPEND="dev-lang/perl
RDEPEND="
dev-lang/perl
dev-perl/XML-Parser"
DEPEND="${RDEPEND}"
BDEPEND="${RDEPEND}"
src_install() {
# 'make install' requires GNU install, upstream is dead and carrying
# a patch is more space than redoing it here
dobin xmltoman xmlmantohtml
insinto /usr/share/xmltoman
doins xmltoman.{css,dtd,xsl}
dodoc README
doman xmltoman.1 xmlmantohtml.1
}

Binary file not shown.

@ -1 +1,2 @@
DIST fsharp-mode-1.10_p20211229.tar.gz 78916 BLAKE2B 4cd9182c62ea0d5c7a23f2120586d4c74d16fad14762ecdb3f11a11d6c78c757b363d5c14473c10c47086c1c0e648911846fe039dfedc04fd1d84301b4aa10c5 SHA512 b02be4c8e56a2c22b7f6e6a302756278d9056e7d8b8c206c183aea5470b98610b73a3403c83e93da295d3b4d0092a4f2f1c0bdf78f701009478a3c8b1e054ab7
DIST fsharp-mode-2.0.tar.gz 80880 BLAKE2B e8de665216ac9e147d63d168abc9aebf3cf2ca6a5a6ea9f8afe45c3329d692fa0342a1c3afb982dcdb1b59e1f348e1a307e0ce6a09f708c782b32595bc74106f SHA512 bcb95995604404c42147b636d101dfcaba61945b7ef30196a0e41c138bfd0901c744ca73e36438bae14c1727030f05fc4fcc07aef06f25d46394777ff58537db

@ -0,0 +1,30 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
NEED_EMACS=25
inherit elisp
DESCRIPTION="Support for the F# programming language"
HOMEPAGE="https://github.com/fsharp/emacs-fsharp-mode/"
SRC_URI="https://github.com/fsharp/emacs-${PN}/archive/${PV}.tar.gz
-> ${P}.tar.gz"
S="${WORKDIR}"/emacs-${P}
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
BDEPEND="test? ( app-emacs/buttercup )"
DOCS=( CHANGELOG.md README.org )
ELISP_REMOVE="eglot-fsharp.el test/integration-tests.el"
SITEFILE="50${PN}-gentoo.el"
src_test() {
buttercup -L . -L test --traceback full || die
}

Binary file not shown.

@ -1,5 +1,7 @@
DIST blackbox_exporter-0.18.0.tar.gz 2614990 BLAKE2B 8c6681f3b122b3d83980c74d888442bde4bbbbd02e34a33f1560494d724f4f596e87d2b87a0702d4c860e7bbc3720d70d49d8e08ae9e74b8a6e9abed907d74bd SHA512 6579d190c755515d4e5f05e2b6ed4d811010874dba1e16eaf6052e97c655f87aec33550f22ff173d2f3bbc77d091fb4fccad059f62ca6fbb33a372d48ae692f0
DIST blackbox_exporter-0.19.0.tar.gz 72280 BLAKE2B 8e6336d20c6225d58b873a270cb7bbc41bc85094fc5eebd228828128877d671b36bc9f283842bd3498e53bd138a155dca3f6843f0aca90eb542b78ad0cd276ff SHA512 86b11bc7afa0d8261d0961ca21563047b1ea8bfd1a9d4d034c393a8b098b035147883a44011cdafca8e9795a5e9a043cc15235375990f3424137af63469a8878
DIST blackbox_exporter-0.21.1-deps.tar.xz 55088548 BLAKE2B a078e62ea071df29de3d8b7cd7fc957cd0eccdf076b3257c29513b0d15deaae383fc22273731b6a382c09ce6c51f2666bcd1430bf3f5e4b017189a32889048e1 SHA512 92f46ee0382c85399fe8d4d43b38e77ea81971000dc1b4bcff2d9fbe2b55a5936b712e2345690a5005b68daddde0419c20f2ff5def4058f6eb7a2d7972e8c0af
DIST blackbox_exporter-0.21.1.tar.gz 79415 BLAKE2B 3587b01c33c47f370d55120cf4fac5ceeabdb2e89ea14ca588def902c67b237e78bca755ea5eac102d6f081c60a7bd5e1e6e5de9c2e2df9cb78c2f6856c5ee17 SHA512 a4d5187db9c99279d01d22c42c6569be836def2a033bf60c8f0a3131d329d8ac934b5ee30d2e9f185c4743c88ca287803165f7910378eb2d1ff27ae7671ab690
DIST cloud.google.com%2Fgo%2F@v%2Fv0.26.0.mod 27 BLAKE2B 814b0fa8f12d5ce6171fa629b5a7eb34e0e882cc0c5430986896bb38c243e08dc83098f271227f4ba019e78f16dc97fbb381e833aff1819833d243b08add916b SHA512 5132f3438533427c0ab0fbb7a12112a7830ea9122662ed46019ff89c71d9cf80c02edc32dd5c892da572031b5a2cce100f2602fa6a19bea6be7c02781f701273
DIST cloud.google.com%2Fgo%2F@v%2Fv0.34.0.mod 27 BLAKE2B 814b0fa8f12d5ce6171fa629b5a7eb34e0e882cc0c5430986896bb38c243e08dc83098f271227f4ba019e78f16dc97fbb381e833aff1819833d243b08add916b SHA512 5132f3438533427c0ab0fbb7a12112a7830ea9122662ed46019ff89c71d9cf80c02edc32dd5c892da572031b5a2cce100f2602fa6a19bea6be7c02781f701273
DIST github.com%2F!burnt!sushi%2Ftoml%2F@v%2Fv0.3.1.mod 34 BLAKE2B ce54a247aef91043830bdf0603c8452ba38eceb1495af6e7a74c9119234a0dc5cd080cb25258c28f5e270acf91189a5ed33e361cbf17de2be5e37dadbda1d90d SHA512 320941bc3b7fb8bc595e6135cbc513a7583d129f0cd92508055291e141191066303cf75148e25198c21f6c6c539a790ea3210f3ecf5de6a2a03b70c753091146

@ -0,0 +1,56 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit fcaps go-module systemd
GIT_COMMIT=e0d5e44
MY_PV="v${PV/_rc/-rc.}"
DESCRIPTION="Prometheus exporter for blackbox probing via HTTP, HTTPS, DNS, TCP and ICMP"
HOMEPAGE="https://github.com/prometheus/blackbox_exporter"
SRC_URI="https://github.com/prometheus/blackbox_exporter/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
SRC_URI+=" https://dev.gentoo.org/~williamh/dist/${P}-deps.tar.xz"
LICENSE="Apache-2.0 BSD BSD-2 MIT"
SLOT="0"
KEYWORDS="~amd64"
COMMON_DEPEND="
acct-group/blackbox_exporter
acct-user/blackbox_exporter"
DEPEND="${COMMON_DEPEND}"
RDEPEND="${COMMON_DEPEND}"
BDEPEND="dev-util/promu"
FILECAPS=(
cap_net_raw usr/bin/blackbox_exporter
)
# tests require the network
RESTRICT+=" test "
src_prepare() {
default
sed -i \
-e "s/{{.Branch}}/Head/" \
-e "s/{{.Revision}}/${GIT_COMMIT}/" \
-e "s/{{.Version}}/${PV}/" .promu.yml || die
}
src_compile() {
promu build -v --prefix bin || die
}
src_install() {
newbin bin/${P} ${PN}
dodoc {README,CHANGELOG,CONFIGURATION}.md blackbox.yml
insinto /etc/blackbox_exporter
newins example.yml blackbox.yml
keepdir /var/lib/blackbox_exporter /var/log/blackbox_exporter
systemd_dounit "${FILESDIR}"/blackbox_exporter.service
newinitd "${FILESDIR}"/${PN}.initd ${PN}
newconfd "${FILESDIR}"/${PN}.confd ${PN}
insinto /etc/logrotate.d
newins "${FILESDIR}/${PN}.logrotated" "${PN}"
fowners ${PN}:${PN} /var/lib/blackbox_exporter /var/log/blackbox_exporter
}

Binary file not shown.

@ -19,6 +19,7 @@ RDEPEND="
app-misc/pax-utils
app-portage/portage-utils
>=app-shells/bash-5.1
dev-libs/libxml2:2
sys-apps/diffutils
sys-apps/file
sys-apps/portage

Binary file not shown.

@ -1,2 +1 @@
DIST gentoo-bashcomp-20180302.tar.bz2 21485 BLAKE2B 887ac5cfa8c6ba431a6aa5f5918b8bdfbe6a1ae9a2e7ac21b3c06ec2062b448d924f928b1372e81749ece6d4aa673bbbaaa364ca744124c842e3819349917169 SHA512 6b4551b078505e6348cb10ca2d67faab4d323a0f0ddefc872145314303d6f95fe31f9706d43d9f20c0139610ce47e4cf70ba7516d911dc4927cfbf5d863bc063
DIST gentoo-bashcomp-20190211.tar.bz2 21508 BLAKE2B 410994819f62b0bd105ca398c335d76993fd694b8e7f56c761b94fc1e2f6e90f2010f2f2a88febd71ac0c5643fc0e923c60151fbf9411e8a553b5917d6bcd8db SHA512 4b0a5e79f90ee8122fa8d0a7224fee6472b1762a0dda680ea1c0e8d4069760be9b6472e052b1b166a389c0e779816b98715386dbc62a3574e7ad851b2567a070

@ -1,22 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit bash-completion-r1
DESCRIPTION="Gentoo-specific bash command-line completions (emerge, ebuild, equery, etc)"
HOMEPAGE="https://wiki.gentoo.org/wiki/No_homepage"
SRC_URI="https://gitweb.gentoo.org/proj/${PN}.git/snapshot/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris"
IUSE=""
src_install() {
emake DESTDIR="${D}" install \
completionsdir="$(get_bashcompdir)" \
helpersdir="$(get_bashhelpersdir)" \
compatdir="${EPREFIX}/etc/bash_completion.d"
}

@ -1,7 +1,7 @@
# Copyright 1999-2021 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=8
inherit bash-completion-r1

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="http://wftp.tu-chemnitz.de/pub/Local/urz/ding/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc ~sparc x86"
KEYWORDS="amd64 ~ppc ~sparc x86"
RDEPEND=">=dev-lang/tk-8.3"

@ -231,7 +231,7 @@ S="${WORKDIR}/${P/b/B}"
# CC-BY-4.0/OFL-1.1: embeds fonts inside the executable
LICENSE="Apache-2.0 BSD CC-BY-4.0 CC0-1.0 ISC MIT MPL-2.0 OFL-1.1"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 ~x86"
KEYWORDS="amd64 ~arm ~arm64 ~riscv ~x86"
IUSE="doc"
QA_FLAGS_IGNORED="usr/bin/${PN}"

@ -1,3 +1,4 @@
DIST mupdf-1.18.0-source.tar.xz 53621544 BLAKE2B d0057f4240bd4f6b4b6d9381ae1c3871c56b97604d5c6ea6438a8bde72d4696c10a9f0e8e2ed8f43d63a04bb1d973bade8a708327c00b0d0c6802b28af697a55 SHA512 7551f18b9bac6e2dc1cf073741cbc975ce3a16dc7e37c9d5a58254c67bf2c07bb36185d6585e435d4126f3ae351f67d7432d19a986c9b47b15105ca43db0edb8
DIST mupdf-1.19.0-source.tar.xz 64077324 BLAKE2B 4c30cfc004b4f354ae349e5460327775a4dbdd689e561888c156e9e69e22b45ea1f260dfed8d2d8c017fe65a1e83cabc8ff29dad8de47a2c541f9e335bf11285 SHA512 421e8e49f83cf00bfb2c86b5425939056fe866a048cf18e4c8f5764cdee9829974eea655c944d0f3f5a9407347cceaef34030f4079aa399e798da3ff849230e7
DIST mupdf-1.19.1-source.tar.xz 64884172 BLAKE2B a0dc3783c70cee1b7eb48d1658eb48186e35a42513aa9e98f7155bb82ed771ed0c5d5032013d09d93cdca4f49deda65553fe0e1af7645893722dafa855b2c958 SHA512 d6bc5b6adb6a418de50021864f4b3a75da653fa534eeedbfe9875cb202efeb13efdec66b4d108ca8fa6b0dc76733468b214e5fdf331bebc35fc6f722203fa3f7
DIST mupdf-1.20.0-source.tar.gz 88455853 BLAKE2B 686d8b02972fc6cb7fa4541e4f0561c11e616f800decd20a79f23b577977785633bd3e17e2007f621db97dab6db1fcf500ac8e283984fbe675a25e7a4301b75b SHA512 6837299c589ece9cc443b027433fa3eee545f5155aeb6359b7a43da239d2e99195e9ae3950ddec6cb6ebae77bc877573c6f89a90754c58723d7e87d9739ed1f4

@ -0,0 +1,153 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
# Please check upstream git regularly for relevant security-related commits
# to backport.
inherit desktop flag-o-matic toolchain-funcs xdg
DESCRIPTION="A lightweight PDF viewer and toolkit written in portable C"
HOMEPAGE="https://mupdf.com/ https://git.ghostscript.com/?p=mupdf.git"
SRC_URI="https://mupdf.com/downloads/archive/${P}-source.tar.gz"
S="${WORKDIR}"/${P}-source
LICENSE="AGPL-3"
SLOT="0/${PV}"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~x86"
IUSE="+javascript opengl ssl X"
REQUIRED_USE="opengl? ( javascript )"
# Although we use the bundled, patched version of freeglut in mupdf (because of
# bug #653298), the best way to ensure that its dependencies are present is to
# install system's freeglut.
RDEPEND="
dev-libs/gumbo
media-libs/freetype:2=
media-libs/harfbuzz:=[truetype]
media-libs/jbig2dec:=
media-libs/libpng:0=
>=media-libs/openjpeg-2.1:2=
>=media-libs/libjpeg-turbo-1.5.3-r2:0
javascript? ( >=dev-lang/mujs-1.0.7:= )
opengl? ( >=media-libs/freeglut-3.0.0 )
ssl? ( >=dev-libs/openssl-1.1:0= )
X? (
x11-libs/libX11
x11-libs/libXext
)
"
DEPEND="${RDEPEND}"
BDEPEND="X? ( x11-base/xorg-proto )
virtual/pkgconfig"
PATCHES=(
"${FILESDIR}"/${PN}-1.15-CFLAGS.patch
"${FILESDIR}"/${PN}-1.19.0-Makefile.patch
"${FILESDIR}"/${PN}-1.10a-add-desktop-pc-xpm-files.patch
"${FILESDIR}"/${PN}-1.19.0-darwin.patch
# See bugs #662352
"${FILESDIR}"/${PN}-1.15-openssl-x11.patch
# General cross fixes from Debian (refreshed)
"${FILESDIR}"/${PN}-1.19.0-cross-fixes.patch
)
src_prepare() {
default
use hppa && append-cflags -ffunction-sections
append-cflags "-DFZ_ENABLE_JS=$(usex javascript 1 0)"
sed -e "1iOS = Linux" \
-e "1iCC = $(tc-getCC)" \
-e "1iCXX = $(tc-getCXX)" \
-e "1iLD = $(tc-getLD)" \
-e "1iAR = $(tc-getAR)" \
-e "1iverbose = yes" \
-e "1ibuild = debug" \
-i Makerules || die "Failed adding build variables to Makerules in src_prepare()"
}
_emake() {
# When HAVE_OBJCOPY is yes, we end up with a lot of QA warnings.
#
# Bundled libs
# * General
# Note that USE_SYSTEM_LIBS=yes is a metaoption which will set to upstream's
# recommendations. It does not mean "always use system libs".
# See [0] below for what it means in a specific version.
#
# * freeglut
# We don't use system's freeglut because upstream has a special modified
# version of it that gives mupdf clipboard support. See bug #653298
#
# * mujs
# As of v1.15.0, mupdf started using symbols in mujs that were not part
# of any release. We then went back to using the bundled version of it.
# But v1.17.0 looks ok, so we'll go unbundled again. Be aware of this risk
# when bumping and check!
# See bug #685244
#
# * lmms2
# mupdf uses a bundled version of lcms2 [0] because Artifex have forked it [1].
# It is therefore not appropriate for us to unbundle it at this time.
#
# [0] https://git.ghostscript.com/?p=mupdf.git;a=blob;f=Makethird;h=c4c540fa4a075df0db85e6fdaab809099881f35a;hb=HEAD#l9
# [1] https://www.ghostscript.com/doc/lcms2mt/doc/WhyThisFork.txt
local myemakeargs=(
GENTOO_PV=${PV}
HAVE_GLUT=$(usex opengl)
HAVE_LIBCRYPTO=$(usex ssl)
HAVE_X11=$(usex X)
USE_SYSTEM_LIBS=yes
USE_SYSTEM_MUJS=$(usex javascript)
USE_SYSTEM_GLUT=no
HAVE_OBJCOPY=no
"$@"
)
emake "${myemakeargs[@]}"
}
src_compile() {
tc-export PKG_CONFIG
_emake XCFLAGS="-fPIC"
}
src_install() {
if use opengl || use X ; then
domenu platform/debian/${PN}.desktop
doicon platform/debian/${PN}.xpm
else
rm docs/man/${PN}.1 || die "Failed to remove man page in src_install()"
fi
sed -i \
-e "1iprefix = ${ED}/usr" \
-e "1ilibdir = ${ED}/usr/$(get_libdir)" \
-e "1idocdir = ${ED}/usr/share/doc/${PF}" \
-i Makerules || die "Failed adding liprefix, lilibdir and lidocdir to Makerules in src_install()"
_emake install
dosym libmupdf.so.${PV} /usr/$(get_libdir)/lib${PN}.so
if use opengl ; then
einfo "mupdf symlink points to mupdf-gl (bug 616654)"
dosym ${PN}-gl /usr/bin/${PN}
elif use X ; then
einfo "mupdf symlink points to mupdf-x11 (bug 616654)"
dosym ${PN}-x11 /usr/bin/${PN}
fi
# Respect libdir (bug #734898)
sed -i -e "s:/lib:/$(get_libdir):" platform/debian/${PN}.pc || die "Failed to sed pkgconfig file to respect libdir in src_install()"
insinto /usr/$(get_libdir)/pkgconfig
doins platform/debian/${PN}.pc
dodoc README CHANGES CONTRIBUTORS
}

Binary file not shown.

@ -1 +1 @@
DIST google-gin-2.1.2.zip 5495552 BLAKE2B 3e07fc2e8f2e93872cb022dc57d5b06cfb81cfd855e8027fbcc312e2b95e0c8c35a783c6deb842fd1f40ae8c94e5c120f463c36e20d873a415ef62b0e717f490 SHA512 eb661760078d2053dd1f6cf0d96e9c2895c7d7fd805c14f4da63c28801b8aabb6a9cf6baff020bee3830a3ba1451bdf44d53d41cae1d720bded06f7d013d59c0
DIST gin-2.1.2.tar.gz 4100895 BLAKE2B ba9dcd333d51460f8e108253b7a5aeb92fa521b7d2b5133285917dc398264f581b1384b7e002b4d2ac677edc0e62a43b8718e02514ea942d90e2836dd5c66c40 SHA512 cfd11497d358217e3e6e0a024f461bd8fbd23cb39262c447c2729799b9aa3252967f866da9253c03de72a5dc43ee5cf1e7f6353f388b296af33e1e7be2bb8ddd

@ -1,4 +1,4 @@
# Copyright 1999-2021 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -7,14 +7,10 @@ JAVA_PKG_IUSE="source"
inherit java-pkg-2 java-ant-2
MY_PN="google-gin"
MY_P="${MY_PN}-${PV}"
GIN_COMMIT="d62089f5b6ea33d842ab4646b51583c65a8be36b"
DESCRIPTION="Google Gin (GWT INjection)"
HOMEPAGE="https://gwtplus.github.io/google-gin/"
SRC_URI="https://github.com/gwtplus/google-gin/archive/${GIN_COMMIT}.zip -> ${MY_P}.zip"
SRC_URI="https://github.com/gwtplus/google-gin/archive/${PV}.tar.gz -> ${P}.tar.gz"
RESTRICT="mirror"
SLOT="2.1"
LICENSE="Apache-2.0"
@ -32,8 +28,7 @@ RDEPEND="
>=virtual/jre-1.8:*"
DEPEND="
${CDEPEND}
>=virtual/jdk-1.8:*"
BDEPEND="app-arch/unzip"
virtual/jdk:1.8"
JAVA_ANT_REWRITE_CLASSPATH="yes"
EANT_BUILD_XML="build.xml"
@ -44,7 +39,7 @@ EANT_GENTOO_CLASSPATH="
validation-api-1.0
"
S="${WORKDIR}/${MY_PN}-${GIN_COMMIT}"
S="${WORKDIR}/google-gin-${PV}"
JAVA_RM_FILES=(
trunk/lib/aopalliance.jar

Binary file not shown.

@ -1,9 +1,9 @@
# Copyright 1999-2021 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
GNOME_TARBALL_SUFFIX="bz2"
EAPI=8
GNOME_TARBALL_SUFFIX="bz2"
inherit gnome2 multilib-minimal
DESCRIPTION="CORBA tree builder"
@ -12,18 +12,16 @@ HOMEPAGE="https://www.gnome.org/"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
IUSE=""
RDEPEND=">=dev-libs/glib-2.44.1-r1:2[${MULTILIB_USEDEP}]"
DEPEND="${RDEPEND}
DEPEND="${RDEPEND}"
BDEPEND="
sys-devel/flex
virtual/yacc
virtual/pkgconfig
"
virtual/pkgconfig"
multilib_src_configure() {
local ECONF_SOURCE="${S}"
gnome2_src_configure --disable-static
ECONF_SOURCE="${S}" gnome2_src_configure
}
multilib_src_compile() {

@ -0,0 +1,81 @@
https://bugs.gentoo.org/778371
From: orbea <orbea@riseup.net>
Date: Sat, 18 Jun 2022 20:49:52 -0700
Subject: [PATCH] configure: Use LT_INIT to find libtool
LT_INIT will generate libtool for the build which is required by
rlibtool to determine if building shared or static libraries.
--- a/Makefile.in
+++ b/Makefile.in
@@ -37,6 +37,11 @@
srcdir = @srcdir@
VPATH = @srcdir@
+#
+# directory containing the build
+#
+top_builddir = @top_builddir@
+
#
# the name of the install program to use
#
--- a/configure.ac
+++ b/configure.ac
@@ -22,7 +22,7 @@ AC_PROG_CC
AC_CANONICAL_HOST
AC_GNU_SOURCE
AC_PROG_INSTALL
-AC_PROG_RANLIB
+LT_INIT
AC_CHECK_PROGS(AR, ar)
AC_USE_SYSTEM_EXTENSIONS
@@ -32,6 +32,8 @@ AC_ISC_POSIX
AC_OBJEXT
AC_EXEEXT
+AC_SUBST([top_builddir], [$abs_builddir])
+
dnl @synopsis AC_ADD_CFLAGS
dnl
dnl Add the given option to CFLAGS, if it doesn't break the compiler
@@ -53,37 +55,6 @@ AC_ADD_CFLAGS(-Wshadow)
dnl! AC_ADD_CFLAGS(-Werror)
dnl! AC_ADD_CFLAGS([-Wl,--as-needed])
-AC_CHECK_PROGS(LIBTOOL, libtool)
-
-if test -z "$LIBTOOL"
-then
- AC_MSG_RESULT([
- You must have GNU Libtool installed to build fstrcmp.
- Homepage: http://www.gnu.org/software/libtool/])
- OK=no
- if apt-get --version > /dev/null 2> /dev/null; then
- AC_MSG_RESULT([
- The following command may be used to install it:
- sudo apt-get install libtool
- ])
- OK=yes
- fi
- if yum --version > /dev/null 2> /dev/null; then
- AC_MSG_RESULT([
- The following command may be used to install it:
- sudo yum install libtool
- ])
- OK=yes
- fi
- if test "$OK" != "yes"; then
- AC_MSG_RESULT([
- If you are using a package based install, you will need the
- libtool package.
- ])
- fi
- exit 1
-fi
-
AC_CHECK_PROGS(GROFF, groff roff)
AC_CHECK_PROGS(SOELIM, gsoelim soelim)
AC_CHECK_PROGS(REFER, refer grefer)

@ -0,0 +1,48 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit autotools
DESCRIPTION="Make fuzzy comparisons of strings and byte arrays"
HOMEPAGE="http://fstrcmp.sourceforge.net/"
SRC_URI="http://fstrcmp.sourceforge.net/fstrcmp-${PV}.D001.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/fstrcmp-${PV}.D001"
LICENSE="GPL-3+"
SLOT="0"
IUSE="doc static-libs test"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
BDEPEND="
sys-apps/groff
doc? ( app-text/ghostscript-gpl )
test? ( app-text/ghostscript-gpl )
"
RESTRICT="!test? ( test )"
PATCHES=(
"${FILESDIR}"/${P}-libtool.patch # 778371
)
src_prepare() {
default
eautoreconf
}
src_compile() {
emake all-bin
use doc && emake all-doc
}
src_install() {
emake DESTDIR="${D}" install-bin install-include install-libdir install-man
find "${D}" -name '*.la' -delete || die
if ! use static-libs ; then
find "${D}" -name '*.a' -delete || die
fi
use doc && emake DESTDIR="${D}" install-doc
einstalldocs
}

@ -0,0 +1,89 @@
https://bugs.gentoo.org/778899
Author: orbea <orbea@riseup.net>
Date: Fri Jun 17 17:29:51 2022 -0700
configure: Add minimal configure.ac for libtool
diff --git a/Makefile b/Makefile.in
similarity index 92%
rename from Makefile
rename to Makefile.in
index 76cfd35..2c05a99 100644
--- a/Makefile
+++ b/Makefile.in
@@ -4,11 +4,9 @@
config ?= debug
SYSTEM ?= $(shell uname -s)
-ifeq ($(SYSTEM),Darwin)
- LIBTOOL ?= glibtool
-else
- LIBTOOL ?= libtool
-endif
+top_builddir = @top_builddir@
+
+LIBTOOL := @LIBTOOL@
ifneq ($(VERBOSE),1)
LIBTOOL += --quiet
@@ -33,11 +31,11 @@ else
XCFLAGS += -std=c99
endif
-NAME := mpack
-MAJOR := 1
-MINOR := 0
-PATCH := 3
-VERSION := $(MAJOR).$(MINOR).$(PATCH)
+NAME := @PACKAGE_NAME@
+MAJOR := @MAJOR@
+MINOR := @MINOR@
+PATCH := @PATCH@
+VERSION := @PACKAGE_VERSION@
LT_REVISION=0
LT_CURRENT=0
@@ -130,6 +128,11 @@ clean:
$(TOBJ): XCFLAGS := $(filter-out $(TEST_FILTER_OUT),$(XCFLAGS)) \
-std=gnu99 -Wno-conversion -Wno-unused-parameter
+$(OUTDIR)/.tag:
+ @mkdir -p $(OUTDIR)/$(SRCDIR)
+ @mkdir -p $(OUTDIR)/$(TESTDIR)/deps/tap
+ @touch $@
+
$(COVOUT): $(SRC) $(TSRC)
find $(OUTDIR) -type f -name '*.gcda' -print0 | xargs -0 rm -f
$(MAKE) CFLAGS='-DNDEBUG -g --coverage' LDFLAGS=--coverage config=$(config) test
@@ -142,7 +145,7 @@ $(PROFOUT): $(SRC) $(TSRC)
gprof $(OUTDIR)/run-tests gmon.out > $@
rm gmon.out
-$(OUTDIR)/%.lo: %.c $(AMALG)
+$(OUTDIR)/%.lo: %.c $(AMALG) $(OUTDIR)/.tag
@echo compile $< =\> $@
@$(LIBTOOL) --mode=compile --tag=CC $(CC) $(XCFLAGS) $(CFLAGS) -o $@ -c $<
diff --git a/configure.ac b/configure.ac
new file mode 100644
index 0000000..d2f02e7
--- /dev/null
+++ b/configure.ac
@@ -0,0 +1,16 @@
+m4_define([MAJOR], [1])
+m4_define([MINOR], [0])
+m4_define([PATCH], [5])
+
+AC_INIT([mpack], [MAJOR.MINOR.PATCH])
+AC_CONFIG_FILES([Makefile])
+
+LT_INIT
+
+AC_SUBST([top_builddir], [$abs_builddir])
+
+AC_SUBST([MAJOR], [MAJOR])
+AC_SUBST([MINOR], [MINOR])
+AC_SUBST([PATCH], [PATCH])
+
+AC_OUTPUT

@ -0,0 +1,63 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit autotools toolchain-funcs
DESCRIPTION="Simple implementation of msgpack in C"
HOMEPAGE="https://github.com/libmpack/libmpack"
SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
PATCHES=(
"${FILESDIR}"/${P}-libtool.patch # 778899
)
src_prepare() {
default
# Respect users CFLAGS
sed -e 's/-ggdb//g' -i Makefile.in || die
sed -e 's/-O3//g' -i .config/release.mk || die
eautoreconf
}
src_compile() {
local myemakeargs=(
"VERBOSE=1"
"PREFIX=${EPREFIX}/usr"
"CC=$(tc-getCC)"
"config=release"
"LIBDIR=/usr/$(get_libdir)"
)
emake "${myemakeargs[@]}" lib-bin
}
src_test() {
emake VERBOSE=1 XLDFLAGS="-shared" test
}
src_install() {
local myemakeargs=(
"VERBOSE=1"
"PREFIX=${EPREFIX}/usr"
"DESTDIR=${ED}"
"LIBDIR=/usr/$(get_libdir)"
"XLDFLAGS=-shared"
)
emake "${myemakeargs[@]}" install
if [[ ${CHOST} == *-darwin* ]] ; then
local file="libmpack.0.0.0.dylib"
install_name_tool -id "${EPREFIX}/usr/$(get_libdir)/${file}" "${ED}/usr/$(get_libdir)/${file}" || die "Failed to adjust install_name"
fi
find "${ED}" -name '*.la' -delete || die
}

@ -1,52 +1,47 @@
# Copyright 1999-2021 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=8
inherit flag-o-matic multilib-minimal
inherit multilib-minimal
DESCRIPTION="A helper library for REVerse ENGineered formats filters"
HOMEPAGE="https://sf.net/p/libwpd/librevenge"
if [[ ${PV} == *9999 ]] ; then
EGIT_REPO_URI="git://git.code.sf.net/p/libwpd/librevenge"
EGIT_REPO_URI="https://git.code.sf.net/p/libwpd/librevenge"
inherit git-r3 autotools
else
SRC_URI="https://sf.net/projects/libwpd/files/${PN}/${P}/${P}.tar.xz"
KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~sparc x86"
fi
DESCRIPTION="Helper library for REVerse ENGineered formats filters"
HOMEPAGE="https://sf.net/p/libwpd/librevenge"
LICENSE="|| ( MPL-2.0 LGPL-2.1 )"
SLOT="0"
IUSE="doc test"
RESTRICT="!test? ( test )"
RDEPEND="
sys-libs/zlib[${MULTILIB_USEDEP}]
"
RDEPEND="sys-libs/zlib[${MULTILIB_USEDEP}]"
DEPEND="${RDEPEND}
dev-libs/boost
doc? ( app-doc/doxygen )
test? ( dev-util/cppunit[${MULTILIB_USEDEP}] )
"
test? ( dev-util/cppunit[${MULTILIB_USEDEP}] )"
BDEPEND="doc? ( app-doc/doxygen )"
src_prepare() {
default
[[ ${PV} = *9999 ]] && eautoreconf
# bug 651264
append-cxxflags -std=c++11
[[ ${PV} == *9999 ]] && eautoreconf
}
multilib_src_configure() {
ECONF_SOURCE=${S} \
econf \
--disable-static \
--disable-werror \
$(use_with doc docs) \
local myeconfargs=(
--disable-werror
$(use_with doc docs)
$(use_enable test tests)
)
ECONF_SOURCE=${S} econf "${myeconfargs[@]}"
}
multilib_src_install_all() {
einstalldocs
find "${D}" -name '*.la' -delete || die
find "${ED}" -name '*.la' -type f -delete || die
}

@ -1,11 +1,11 @@
# Copyright 1999-2021 Gentoo Authors
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit flag-o-matic multilib-minimal
inherit multilib-minimal
if [[ ${PV} == *9999* ]] ; then
if [[ ${PV} == *9999 ]] ; then
EGIT_REPO_URI="https://git.code.sf.net/p/libwpd/librevenge"
inherit git-r3 autotools
else
@ -19,19 +19,17 @@ HOMEPAGE="https://sf.net/p/libwpd/librevenge"
LICENSE="|| ( MPL-2.0 LGPL-2.1 )"
SLOT="0"
IUSE="doc test"
RESTRICT="!test? ( test )"
RDEPEND="sys-libs/zlib[${MULTILIB_USEDEP}]"
DEPEND="${RDEPEND}
dev-libs/boost
test? ( dev-util/cppunit[${MULTILIB_USEDEP}] )
"
test? ( dev-util/cppunit[${MULTILIB_USEDEP}] )"
BDEPEND="doc? ( app-doc/doxygen )"
src_prepare() {
default
[[ ${PV} == *9999* ]] && eautoreconf
[[ ${PV} == *9999 ]] && eautoreconf
}
multilib_src_configure() {
@ -45,5 +43,5 @@ multilib_src_configure() {
multilib_src_install_all() {
einstalldocs
find "${D}" -name '*.la' -type f -delete || die
find "${ED}" -name '*.la' -type f -delete || die
}

@ -0,0 +1,80 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit toolchain-funcs gnuconfig
DESCRIPTION="High-performance and portable C++ number theory library"
HOMEPAGE="https://www.shoup.net/ntl/ https://github.com/libntl/ntl"
SRC_URI="https://www.shoup.net/ntl/${P}.tar.gz"
LICENSE="LGPL-2.1+"
SLOT="0/44"
KEYWORDS="~amd64 ~arm64 ~ppc ~riscv ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
IUSE="doc static-libs threads cpu_flags_x86_avx2"
BDEPEND="dev-lang/perl"
DEPEND="dev-libs/gmp:0=
dev-libs/gf2x
threads? ( >=dev-libs/gf2x-1.2 )"
RDEPEND="${DEPEND}"
S="${WORKDIR}/${P}/src"
DOCS=( "${WORKDIR}/${P}"/README )
src_unpack() {
default
gnuconfig_update "${S}/libtool-origin/"
}
src_configure() {
# The DoConfig script builds its own libtool, but doesn't
# really try to set up the build environment (bug 718892).
export CC="$(tc-getCC)"
export CXX="$(tc-getCXX)"
# Currently the build system can build a static library or both
# static and shared libraries, but not only shared libraries. The
# name NTL_GMP_LIP is *not* a typo.
perl DoConfig \
PREFIX="${EPREFIX}"/usr \
LIBDIR="${EPREFIX}"/usr/$(get_libdir) \
CXXFLAGS="${CXXFLAGS}" \
CPPFLAGS="${CPPFLAGS}" \
LDFLAGS="${LDFLAGS}" \
CXX="$(tc-getCXX)" \
AR="$(tc-getAR)" \
RANLIB="$(tc-getRANLIB)" \
SHARED=on \
NTL_GMP_LIP=on \
NTL_GF2X_LIB=on \
NTL_THREADS=$(usex threads on off) \
NTL_ENABLE_AVX_FFT=$(usex cpu_flags_x86_avx2 on off) \
NATIVE=off \
|| die "DoConfig failed"
if use doc; then
DOCS+=( "${WORKDIR}/${P}"/doc/*.txt )
HTML_DOCS=( "${WORKDIR}/${P}"/doc/*.html "${WORKDIR}/${P}"/doc/*.gif )
fi
# 780534 - Required for rlibtool so it can find the generated libtool
ln -sf libtool-build/libtool . || die
}
src_install() {
default
if ! use static-libs; then
# bug #775884
find "${ED}" -name '*.la' -delete || die
# Use rm -f because the static archive may not be created when
# using (for example) slibtool-shared.
rm -f "${ED}/usr/$(get_libdir)"/libntl.a || die
fi
rm -r "${ED}"/usr/share/doc/NTL || die
}

Binary file not shown.

@ -1,5 +1,6 @@
DIST PyPDF2-2.0.0.gh.tar.gz 4574406 BLAKE2B 8554fdb7ab9ea1b9990ba72fb05ed02ef8732788b896013f3410f74bad482a95dfb42215cff247d411e6e84bd1afa3437af36f203b7aa45890c4c5681853dfb9 SHA512 8bdd9c2cdd20758a183696d8d33a207f9be9183e63b7757e09d281f4ae4a6a61714a49c940d5bd57df8a6074ad7498f17354b5d4984b1b2ad4bd119b62d93138
DIST PyPDF2-2.1.0.gh.tar.gz 4728411 BLAKE2B 00949842da43136afc7ee3482dc0b61182a0bf3ee4479d8794891ecf0a7cac9ec92a94d480a2ab75d35be9f667b5c27cdf17c8e7ce76bb5355cf2c43c7fc814b SHA512 d82f05fe6e7f944f045600c1fd7d451181803769b38911a2d6e0553ae7b16cbfd6838883809c71fddcdfc386f62e0a5f5aaa6d947236a3c8cdedb5fe8f338a5f
DIST PyPDF2-2.2.1.gh.tar.gz 5019240 BLAKE2B 31412cc136bebdf0288fcdf693540e2ae8b88c08f9d837ebeb17b8f8bfae289146028890f36b7b16c6012469908d4f6855169efcebce082d4c31f634b6410162 SHA512 669c41f477114bc38a214e8f4893c5eb59d40dfe07e3c436b71ede09738539e3f47d8f9293cf9c3012887d296c7a634ee93bf2542910c400c4765bd30495f0f6
DIST PyPDF2-2.3.1.gh.tar.gz 5077679 BLAKE2B 36a70ef9e10ebb6d5c50b713f539aad56b8ccbd94d279aa0b0dc41e9ef1c682ac21b04b4612771e386e8655aa812e11bdbe04363ebaa074a96ffa7059f500e62 SHA512 885d6bab457be594c7a715345f0d4c6f5ba1e34f422e3de42822f4886c0021fc799682e9d253f3c3f48f8c45d387ef431843e2f2f9c7e54c1402ef31b975c511
DIST PyPDF2-sample-files-41b5cd4f774f8fbd8ac42d93b9962f0376352a15.gh.tar.gz 5406287 BLAKE2B 8ddad01235bdb55cee596d9114e5b6c3b153919bcff5203d229311243516f3595cb36dcca87cae27514a8231d72daa94782115795bff8c1c3d046236811c21e0 SHA512 6c38d5ee0e1c5c0ffdd78f7c2fe56dbf357a1e82d2af642a10264a6102ae8fb95cba6d2f76b26df6a33a5d84cfd5111885d39c1747cf95a5ce545f26bdb37263
DIST PyPDF2-sample-files-d7ce88b71820fccaaa4738aa37cbace51f3ed3d9.gh.tar.gz 5406263 BLAKE2B 69673ec380941f567d3630459dc610b1c3a58d5f2956138776412683a96292549107294775d236d1304c054fb91b238f42942a169a7bc862c0b721de647ad191 SHA512 a245de88952de08b45e483f05a1ed42a70a67c4215dd8c32a9b5d70bb64b01acc58ebb1cee677ca178eee8380528dbfac50d3a1a022f19039fa3a47746ddc2a0

@ -0,0 +1,98 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..11} )
inherit distutils-r1
SAMPLE_COMMIT=d7ce88b71820fccaaa4738aa37cbace51f3ed3d9
DESCRIPTION="Python library to work with PDF files"
HOMEPAGE="
https://pypi.org/project/PyPDF2/
https://github.com/py-pdf/PyPDF2/
"
SRC_URI="
https://github.com/py-pdf/PyPDF2/archive/${PV}.tar.gz
-> ${P}.gh.tar.gz
test? (
https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
-> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
)
"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
RDEPEND="
$(python_gen_cond_dep '
dev-python/typing-extensions[${PYTHON_USEDEP}]
' 3.8 3.9)
"
BDEPEND="
dev-python/pillow[${PYTHON_USEDEP}]
"
distutils_enable_tests pytest
EPYTEST_DESELECT=(
# Needs network access
tests/test_cmap.py
tests/test_filters.py::test_decompress_zlib_error
tests/test_filters.py::test_lzw_decode_neg1
tests/test_generic.py::test_dict_read_from_stream
tests/test_generic.py::test_parse_content_stream_peek_percentage
tests/test_generic.py::test_read_inline_image_no_has_q
tests/test_generic.py::test_read_inline_image_loc_neg_1
tests/test_generic.py::test_text_string_write_to_stream
tests/test_generic.py::test_name_object_read_from_stream_unicode_error
tests/test_generic.py::test_bool_repr
'tests/test_page.py::test_page_operations[https://arxiv.org/pdf/2201.00029.pdf-None]'
tests/test_merger.py::test_trim_outline_list
tests/test_merger.py::test_zoom
tests/test_merger.py::test_zoom_xyz_no_left
tests/test_merger.py::test_bookmark
tests/test_merger.py::test_trim_outline
tests/test_merger.py::test1
tests/test_merger.py::test_sweep_recursion1
tests/test_merger.py::test_sweep_recursion2
tests/test_reader.py::test_unexpected_destination
tests/test_writer.py::test_sweep_indirect_references_nullobject_exception
tests/test_writer.py::test_write_bookmark_on_page_fitv
tests/test_page.py::test_extract_text_single_quote_op
tests/test_page.py::test_extract_text_page_pdf
tests/test_page.py::test_extract_text_page_pdf_impossible_decode_xform
tests/test_page.py::test_extract_text_operator_t_star
tests/test_reader.py::test_iss925
tests/test_reader.py::test_extract_text_xref_issue_2
tests/test_reader.py::test_extract_text_xref_issue_3
tests/test_reader.py::test_extract_text_pdf15
tests/test_reader.py::test_extract_text_xref_table_21_bytes_clrf
tests/test_reader.py::test_get_fields
tests/test_reader.py::test_get_fields_read_else_block
tests/test_reader.py::test_get_fields_read_else_block2
tests/test_reader.py::test_get_fields_read_else_block3
tests/test_reader.py::test_metadata_is_none
tests/test_reader.py::test_get_fields_read_write_report
tests/test_reader.py::test_unexpected_destination
tests/test_utils.py::test_deprecate_no_replacement
tests/test_workflows.py::test_extract_textbench
tests/test_xmp.py::test_xmpmm
tests/test_xmp.py::test_dc_description
tests/test_xmp.py::test_dc_creator
tests/test_xmp.py::test_custom_properties
tests/test_xmp.py::test_dc_subject
# Broken test
tests/test_utils.py::test_deprecate_no_replacement
)
src_unpack() {
default
if use test; then
mv "sample-files-${SAMPLE_COMMIT}"/* "${P}"/sample-files/ || die
fi
}

@ -13,7 +13,7 @@ SRC_URI="https://github.com/mahmoud/boltons/archive/${PV}.tar.gz -> ${P}.gh.tar.
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 ~x86"
KEYWORDS="amd64 ~arm ~arm64 ~riscv ~x86"
distutils_enable_tests pytest
distutils_enable_sphinx docs \

@ -1 +0,0 @@
DIST dicttoxml-1.7.4.tar.gz 18190 BLAKE2B e8fd4974cbd9e83b72c25f28fa5595421be88ed5fbb1e64721280c4ead3003f95c98c7b4f12bced926f0c4af31b30dd76ddd49ddf297fa5f68eeb466d042ede6 SHA512 91abcf2b9b248717618e9fc1c8694e881b9deaa16438dd4674f94a22b4aabfdab3b13f95c3d44a60577d49eca82fb268f59b33d1312cf5388bdaf949a2865cbf

@ -1,22 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( pypy3 python3_{8..10} )
inherit distutils-r1
DESCRIPTION="Converts a Python dictionary or other data type to a valid XML string"
HOMEPAGE="https://github.com/quandyfactory/dicttoxml https://pypi.org/project/dicttoxml/"
SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 x86"
PATCHES=(
# https://github.com/quandyfactory/dicttoxml/pull/73/files
"${FILESDIR}/${P}-py3.10.patch"
)

@ -1,58 +0,0 @@
From 2b7b4522b7255fbc8f1e04304d2e440d333909d5 Mon Sep 17 00:00:00 2001
From: Kier von Konigslow <kvonkonigslow@gmail.com>
Date: Sat, 28 Dec 2019 14:08:46 -0500
Subject: [PATCH] Fix deprecation with collections abc
---
dicttoxml.py | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)
diff --git a/dicttoxml.py b/dicttoxml.py
index ae1384a..5d2dd54 100755
--- a/dicttoxml.py
+++ b/dicttoxml.py
@@ -15,7 +15,7 @@
version = __version__
from random import randint
-import collections
+import collections.abc
import numbers
import logging
from xml.dom.minidom import parseString
@@ -96,7 +96,7 @@ def get_xml_type(val):
return 'null'
if isinstance(val, dict):
return 'dict'
- if isinstance(val, collections.Iterable):
+ if isinstance(val, collections.abc.Iterable):
return 'list'
return type(val).__name__
@@ -188,7 +188,7 @@ def convert(obj, ids, attr_type, item_func, cdata, parent='root'):
if isinstance(obj, dict):
return convert_dict(obj, ids, parent, attr_type, item_func, cdata)
- if isinstance(obj, collections.Iterable):
+ if isinstance(obj, collections.abc.Iterable):
return convert_list(obj, ids, parent, attr_type, item_func, cdata)
raise TypeError('Unsupported data type: %s (%s)' % (obj, type(obj).__name__))
@@ -232,7 +232,7 @@ def convert_dict(obj, ids, parent, attr_type, item_func, cdata):
)
)
- elif isinstance(val, collections.Iterable):
+ elif isinstance(val, collections.abc.Iterable):
if attr_type:
attr['type'] = get_xml_type(val)
addline('<%s%s>%s</%s>' % (
@@ -295,7 +295,7 @@ def convert_list(items, ids, parent, attr_type, item_func, cdata):
)
)
- elif isinstance(item, collections.Iterable):
+ elif isinstance(item, collections.abc.Iterable):
if not attr_type:
addline('<%s %s>%s</%s>' % (
item_name, make_attrstring(attr),

@ -1,17 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>chutzpah@gentoo.org</email>
<name>Patrick McLean</name>
</maintainer>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
<stabilize-allarches/>
<upstream>
<remote-id type="pypi">dicttoxml</remote-id>
<remote-id type="github">quandyfactory/dicttoxml</remote-id>
</upstream>
</pkgmetadata>

@ -1 +0,0 @@
DIST flask-mongoengine-1.0.0.gh.tar.gz 123516 BLAKE2B 5dd6cf1d774973ef1883d824bdf467b53306773eff5f7016f6440a7ec55648012755a1270b8fca0974aff00dfb189c0f3f7d6985a01c098729517c0018513c8b SHA512 bd95a8248a972a41c92dc2711f866420aabba56062322801e473e0b347c95ad47da39439992ba6cf23a0981c422ae84756af3af95d1171acd6b321f9cbc63085

@ -1,75 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
DESCRIPTION="Flask support for MongoDB and with WTF model forms"
HOMEPAGE="https://pypi.org/project/flask-mongoengine/"
SRC_URI="
https://github.com/MongoEngine/flask-mongoengine/archive/v${PV}.tar.gz
-> ${P}.gh.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64"
RDEPEND=">=dev-python/flask-1.1.2[${PYTHON_USEDEP}]
>=dev-python/mongoengine-0.20[${PYTHON_USEDEP}]
>=dev-python/flask-wtf-0.14.3[${PYTHON_USEDEP}]"
BDEPEND="
test? (
dev-db/mongodb
dev-python/python-email-validator[${PYTHON_USEDEP}]
)"
distutils_enable_sphinx docs
distutils_enable_tests pytest
python_prepare_all() {
sed -i -e '/addopts/d' setup.cfg || die
distutils-r1_python_prepare_all
}
python_test() {
local EPYTEST_DESELECT=(
# fails with mongomock installed
tests/test_connection.py::test_connection__should_parse_mongo_mock_uri__as_uri_and_as_settings
)
local dbpath=${TMPDIR}/mongo.db
local logpath=${TMPDIR}/mongod.log
local DB_PORT=27017
mkdir -p "${dbpath}" || die
ebegin "Trying to start mongod on port ${DB_PORT}"
LC_ALL=C \
mongod --dbpath "${dbpath}" --nojournal \
--bind_ip 127.0.0.1 --port ${DB_PORT} \
--unixSocketPrefix "${TMPDIR}" \
--logpath "${logpath}" --fork || die
sleep 2
# Now we need to check if the server actually started...
if [[ -S "${TMPDIR}"/mongodb-${DB_PORT}.sock ]]; then
# yay!
eend 0
else
eend 1
eerror "Unable to start mongod for tests. Here is the server log:"
cat "${logpath}"
die "Unable to start mongod for tests."
fi
local failed
nonfatal epytest || failed=1
mongod --dbpath "${dbpath}" --shutdown || die
[[ ${failed} ]] && die "Tests fail with ${EPYTHON}"
rm -rf "${dbpath}" || die
}

@ -1,13 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
<stabilize-allarches/>
<upstream>
<remote-id type="pypi">flask-mongoengine</remote-id>
<remote-id type="github">MongoEngine/flask-mongoengine</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1,40 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..10} pypy3 )
inherit distutils-r1
DESCRIPTION="Easy, clean, reliable Python 2/3 compatibility"
HOMEPAGE="https://python-future.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
BDEPEND="
test? (
$(python_gen_cond_dep '
dev-python/numpy[${PYTHON_USEDEP}]
' 'python*')
)"
distutils_enable_tests pytest
distutils_enable_sphinx docs dev-python/sphinx-bootstrap-theme
PATCHES=(
"${FILESDIR}"/${P}-tests.patch
"${FILESDIR}"/${P}-py39.patch
"${FILESDIR}"/${P}-py39-fileurl.patch
"${FILESDIR}"/${P}-py3.10.patch
)
EPYTEST_DESELECT=(
# tests requiring network access
tests/test_future/test_requests.py
tests/test_future/test_standard_library.py::TestStandardLibraryReorganization::test_moves_urllib_request_http
tests/test_future/test_standard_library.py::TestStandardLibraryReorganization::test_urllib_request_http
)

@ -1 +1,2 @@
DIST graph-tool-2.44.tar.bz2 15149379 BLAKE2B d15413f4e8642b96f62d88631c216e600e24aa878b08a173f1a00f1700aa3c6f4b1b3f806956b811b209a2d42ec1178e2488946d96f056f528a046cbd6cc330a SHA512 b90dc541ec77f89fdbb64697ec5e200d9c7c4ec4b8849c75d008b83dab8f54c95bd230f5d72e32d656f86a201ab66eee25aa774b7983355f7af9304b52527e40
DIST graph-tool-2.45.tar.bz2 15156784 BLAKE2B b9086e5545ace668f703bf06363a382fab734a63d5684d44b62407a06a0464df6a4a9c8c7ccd26e53118c1d24469ed2eb4670939dc0889fafe2f73a2c176101b SHA512 46a4a3a22033c74c69e0ba5ce8f0856d2f35934d52850ef4a542384c8fd327daf56341675a3299a8db87d4a227b5583f0564f8917ecf28081cb1dd4091563490

@ -0,0 +1,84 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
inherit check-reqs python-r1 toolchain-funcs
if [[ ${PV} == *9999 ]]; then
EGIT_REPO_URI="https://git.skewed.de/count0/graph-tool.git"
inherit autotools git-r3
else
SRC_URI="https://downloads.skewed.de/${PN}/${P}.tar.bz2"
KEYWORDS="~amd64"
fi
DESCRIPTION="An efficient python module for manipulation and statistical analysis of graphs"
HOMEPAGE="https://graph-tool.skewed.de/"
LICENSE="GPL-3"
SLOT="0"
IUSE="+cairo openmp"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="
${PYTHON_DEPS}
>=dev-libs/boost-1.70:=[context,python,${PYTHON_USEDEP}]
dev-libs/expat
dev-python/numpy[${PYTHON_USEDEP}]
dev-python/scipy[${PYTHON_USEDEP}]
sci-mathematics/cgal:=
dev-python/matplotlib[${PYTHON_USEDEP}]
cairo? (
dev-cpp/cairomm:0
dev-python/pycairo[${PYTHON_USEDEP}]
x11-libs/cairo[X]
)"
DEPEND="${RDEPEND}
dev-cpp/sparsehash"
BDEPEND="virtual/pkgconfig"
# bug 453544
CHECKREQS_DISK_BUILD="6G"
pkg_pretend() {
[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
check-reqs_pkg_pretend
}
pkg_setup() {
[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
}
src_prepare() {
default
[[ ${PV} == *9999 ]] && eautoreconf
python_copy_sources
}
src_configure() {
my_configure() {
econf \
--disable-static \
$(use_enable openmp) \
$(use_enable cairo) \
--with-boost-python="boost_${EPYTHON/./}"
}
python_foreach_impl run_in_build_dir my_configure
}
src_compile() {
python_foreach_impl run_in_build_dir emake
}
src_install() {
my_python_install() {
default
python_optimize
}
python_foreach_impl run_in_build_dir my_python_install
find "${ED}" -name '*.la' -delete || die
}

@ -1 +1,2 @@
DIST humanize-4.1.0.tar.gz 73777 BLAKE2B fcbde90977ae9fcd706e423767b1d5617fd118ae8903283f4b307ee05a5adffb3bb68305e5d758b1860d37a37d22766127d84479d331a7ed05c83cd53e5b0829 SHA512 7e2d92ed44e773bd8a53d4b151e80949fda057d8f4a52003826efa9ec2a569360b76663d44c3d1239fd2ecdd5365357d3fac72a395d1c10d5207b4a27f248878
DIST humanize-4.2.0.tar.gz 75169 BLAKE2B dc590d296362be20f607282686e18df73e1bb07aa37459431d7ec1f74ff6611497811da974b7eb62cd791536268018460d9171eb65ed958af6f12f668b3ae2a8 SHA512 ac0a067320d4dc236d97a69a3019cf01ce87efe2cb98e758f516f90986352fe87d03bfa497d66a2a75e61152a35fd8fac827bafd926d6bd84c8f0d2366e5beb7

@ -0,0 +1,29 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( pypy3 python3_{8..11} )
inherit distutils-r1
DESCRIPTION="Common humanization utilities"
HOMEPAGE="
https://github.com/python-humanize/humanize/
https://pypi.org/project/humanize/
"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
BDEPEND="
dev-python/setuptools_scm[${PYTHON_USEDEP}]
test? (
dev-python/freezegun[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest

@ -18,7 +18,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="Clear-BSD"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ppc ppc64 ~riscv ~s390 ~sparc ~x86"
COMMON_DEPEND="
>=dev-python/cppy-1.2.0[${PYTHON_USEDEP}]

@ -1 +0,0 @@
DIST mongoengine-0.23.1.tar.gz 324881 BLAKE2B f6856d432f34c19f9d32aa7fe340c5a09db6976802f5ce320e9722b942f80a1c38a725eab882780104fa379abe212319802f9dd4b405da41454bda84a5d57eb4 SHA512 fcd2ff1df3e2b28bc4cba67cad71a1856e9f94d4d2ecb731a5cce2f1c5e9abc163be37b7db518dfaa54a0ef7f664ac49b621a0554961aa7e13686ff608ef132a

@ -1,13 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
<stabilize-allarches/>
<upstream>
<remote-id type="github">MongoEngine/mongoengine</remote-id>
<remote-id type="pypi">mongoengine</remote-id>
</upstream>
</pkgmetadata>

@ -1,78 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
DESCRIPTION="A Python Object-Document-Mapper for working with MongoDB"
HOMEPAGE="https://github.com/MongoEngine/mongoengine/"
SRC_URI="https://github.com/MongoEngine/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64"
RDEPEND="dev-python/blinker[${PYTHON_USEDEP}]
dev-python/pillow[${PYTHON_USEDEP}]
dev-python/pymongo[${PYTHON_USEDEP}]"
BDEPEND="
test? (
dev-db/mongodb
dev-python/mongomock[${PYTHON_USEDEP}]
)"
distutils_enable_tests pytest
python_test() {
local EPYTEST_DESELECT=(
# TODO: investigate
tests/document/test_indexes.py::TestIndexes::test_collation
tests/document/test_indexes.py::TestIndexes::test_covered_index
tests/document/test_indexes.py::TestIndexes::test_create_geohaystack_index
# no $eval
tests/queryset/test_queryset.py::TestQueryset::test_exec_js_query
tests/queryset/test_queryset.py::TestQueryset::test_exec_js_field_sub
tests/queryset/test_queryset.py::TestQueryset::test_item_frequencies_normalize
tests/queryset/test_queryset.py::TestQueryset::test_item_frequencies_with_0_values
tests/queryset/test_queryset.py::TestQueryset::test_item_frequencies_with_False_values
tests/queryset/test_queryset.py::TestQueryset::test_item_frequencies_with_null_embedded
# TODO: investigate (wrong order? bad comparison?)
tests/queryset/test_queryset.py::TestQueryset::test_distinct_ListField_EmbeddedDocumentField
)
local dbpath=${TMPDIR}/mongo.db
local logpath=${TMPDIR}/mongod.log
local DB_PORT=27017
mkdir -p "${dbpath}" || die
ebegin "Trying to start mongod on port ${DB_PORT}"
LC_ALL=C \
mongod --dbpath "${dbpath}" --nojournal \
--bind_ip 127.0.0.1 --port ${DB_PORT} \
--unixSocketPrefix "${TMPDIR}" \
--logpath "${logpath}" --fork || die
sleep 2
# Now we need to check if the server actually started...
if [[ -S "${TMPDIR}"/mongodb-${DB_PORT}.sock ]]; then
# yay!
eend 0
else
eend 1
eerror "Unable to start mongod for tests. Here is the server log:"
cat "${logpath}"
die "Unable to start mongod for tests"
fi
local failed
nonfatal epytest || failed=1
mongod --dbpath "${dbpath}" --shutdown || die
[[ ${failed} ]] && die "Tests fail with ${EPYTHON}"
rm -rf "${dbpath}" || die
}

@ -2,4 +2,5 @@ DIST moto-3.1.10.tar.gz 2314423 BLAKE2B ad09f8cb70a1541dce640c870355c349f9a932be
DIST moto-3.1.11.tar.gz 2320905 BLAKE2B 14cd572defd974e428a77f75be32f576d7cb222fa80a37b5f72bdb8f10fd36be3b456d7d660fe7943862824393b48b4d70687dde191ffc49a49db7ee05772994 SHA512 2e1a84beef161442f74dee95b1e5dc7b23c77d9b001c27b0d8ee3c429c5da13be9a6d0074bc26bacad72f5ea82b0eb85e88dd2adb585f7dfd688bd1e3d9cc5e9
DIST moto-3.1.12.tar.gz 2323555 BLAKE2B f2ecefc5dbbc3f4ce66a799ec255cad40ce466f62fe3bfb0885866c7d0125884a0fef299b58fdcf1cb5da7ef58ac513d844b2fbae6d6545dcb38f2a3bbb2cda4 SHA512 29b8d0d71f3227784eddd05959434451ad88c9c0346b3684360e57bd3df8b9734f781d263bf992ac946749c88b433f6c86c1fc71d71a2dc565633c812579c297
DIST moto-3.1.13.tar.gz 2330638 BLAKE2B ded004bcd783f623edd5b198c39b0245bc847233be46e101b8556adf71c8a7495a175957b3c5c475ca66c392df0999f53c8cedbb439cbb39cd5566e610887cc2 SHA512 95708e6638ab9a8d68b1acaf3af14fc381584e2d978d7f03ee500c50cd2b3409d99633f0e211bfb86c40335e67581f9e6ff3dc7934f8e91fc9f8be8311de8b5b
DIST moto-3.1.14.tar.gz 2340613 BLAKE2B 8bdd9131449c2f3aeb1e4b4fcf40fe2d7ffac86777a73bcdff1d04a3450ec71030e5611c1d3d7429fd57e7ebc0791aecca4c57b8fb12456d18f2256693387fa0 SHA512 3a07e4f15a70ec422f81ba8cf5e2f38624981ff809e7ec51a3e23e26f3dff1755aa11d236daac097da0961948a46cc93e549e36102fbd8d5036f419d5fc96312
DIST moto-3.1.9.tar.gz 2308059 BLAKE2B 85f5c084fc81d74e8297ab0a78e3823bb6e98b1d4fdb70b802dabfa3ba11475670c3bfda27f48069e5298691a8ca71c98acf156c3b15ab79ff85555545c7596e SHA512 600ec2042e5e6df5e3bbc9fafcaa32255568c35a2a127e4f093ecc9332a799b568002cb414e5c086f24795c4f8f510517bf00c29a9b6a38dd667807d04a18954

@ -0,0 +1,90 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
DESCRIPTION="Mock library for boto"
HOMEPAGE="https://github.com/spulec/moto"
SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
RDEPEND="
>=dev-python/aws-xray-sdk-python-0.93[${PYTHON_USEDEP}]
dev-python/boto[${PYTHON_USEDEP}]
dev-python/cfn-lint[${PYTHON_USEDEP}]
>=dev-python/cryptography-3.3.1[${PYTHON_USEDEP}]
dev-python/cookies[${PYTHON_USEDEP}]
>=dev-python/docker-py-2.5.1[${PYTHON_USEDEP}]
>=dev-python/idna-2.5[${PYTHON_USEDEP}]
>=dev-python/jinja-2.10.1[${PYTHON_USEDEP}]
>=dev-python/jsondiff-1.1.2[${PYTHON_USEDEP}]
dev-python/boto3[${PYTHON_USEDEP}]
dev-python/botocore[${PYTHON_USEDEP}]
dev-python/flask[${PYTHON_USEDEP}]
dev-python/flask-cors[${PYTHON_USEDEP}]
dev-python/more-itertools[${PYTHON_USEDEP}]
>=dev-python/pyparsing-3.0.7[${PYTHON_USEDEP}]
>=dev-python/openapi-spec-validator-0.2.8[${PYTHON_USEDEP}]
dev-python/pretty-yaml[${PYTHON_USEDEP}]
>=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
>=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
dev-python/python-dateutil[${PYTHON_USEDEP}]
dev-python/python-jose[${PYTHON_USEDEP}]
dev-python/python-sshpubkeys[${PYTHON_USEDEP}]
>=dev-python/responses-0.9.0[${PYTHON_USEDEP}]
>=dev-python/requests-2.5[${PYTHON_USEDEP}]
dev-python/xmltodict[${PYTHON_USEDEP}]
dev-python/werkzeug[${PYTHON_USEDEP}]
dev-python/zipp[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/freezegun[${PYTHON_USEDEP}]
dev-python/responses[${PYTHON_USEDEP}]
>=dev-python/sure-1.4.11[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
python_test() {
local EPYTEST_DESELECT=(
# TODO
tests/test_firehose/test_firehose_put.py::test_put_record_http_destination
tests/test_firehose/test_firehose_put.py::test_put_record_batch_http_destination
tests/test_swf/responses/test_decision_tasks.py::test_respond_decision_task_completed_with_schedule_activity_task_boto3
tests/test_swf/responses/test_timeouts.py::test_activity_task_heartbeat_timeout_boto3
tests/test_swf/responses/test_timeouts.py::test_decision_task_start_to_close_timeout_boto3
tests/test_swf/responses/test_timeouts.py::test_workflow_execution_start_to_close_timeout_boto3
# broken code (local variable used referenced before definition)
tests/test_appsync/test_appsync_schema.py
# Needs network (or docker?) but not marked as such, bug #807031
# TODO: report upstream
tests/test_batch/test_batch_jobs.py::test_terminate_job
tests/test_batch/test_batch_jobs.py::test_cancel_pending_job
tests/test_batch/test_batch_jobs.py::test_cancel_running_job
tests/test_batch/test_batch_jobs.py::test_dependencies
tests/test_batch/test_batch_jobs.py::test_container_overrides
tests/test_cloudformation/test_cloudformation_custom_resources.py::test_create_custom_lambda_resource__verify_cfnresponse_failed
tests/test_cloudformation/test_cloudformation_stack_integration.py::test_lambda_function
tests/test_events/test_events_lambdatriggers_integration.py::test_creating_bucket__invokes_lambda
tests/test_sqs/test_integration.py::test_invoke_function_from_sqs_exception
tests/test_sqs/test_sqs_integration.py::test_invoke_function_from_sqs_exception
"tests/test_s3/test_s3_lambda_integration.py::test_objectcreated_put__invokes_lambda[match_events0-ObjectCreated:Put]"
"tests/test_s3/test_s3_lambda_integration.py::test_objectcreated_put__invokes_lambda[match_events1-ObjectCreated:Put]"
"tests/test_s3/test_s3_lambda_integration.py::test_objectcreated_put__invokes_lambda[match_events3-ObjectCreated:Put]"
)
# pytest-django causes freezegun try to mangle stuff inside django
# which fails when django is not really used
epytest -p no:django -m 'not network'
}

@ -1,3 +1,4 @@
DIST nptyping-2.0.1.gh.tar.gz 54790 BLAKE2B 75aadc4310dc3e5262aa8f007bc65584ee110fd0f2c1d0737c35a0c57bb0f0a5191f0260dbc0a6c80cab0f546d1e3ade219d6b6318cc2d195ba0579318c20841 SHA512 d832cc0d701a36a94c97bc6db2445c7ff72ec7c41fbcb48ea2006fa201bfca169012be9501029f77f4da7a2fd126227292bd16ba5d0bd7cb6924e3eb74cfaa01
DIST nptyping-2.1.1.gh.tar.gz 63606 BLAKE2B 846d85230f7391a1119cab522e17424cae20276981a06897921a82bb739296ad449197526f36da542fcb263ff6595913d9c333fd0b83b10fc835cea338f7f094 SHA512 4e9993a01650b8bbd8616b2721e92d1e7a2fa87e8cdc55239a30b09f6e323bbcebb532b6cacb4891b50c4aa6cabe8f00dc25d4b052bddb1827fc1e3d021299ae
DIST nptyping-2.1.2.gh.tar.gz 64535 BLAKE2B c050c7c49e4c4570b73496a3ac2aa24742844e7cbc1db353d1bf065eea4fdd892221139a085d217a9118dea5b19b0bcec512577c943cc841492f1cc0b14c3681 SHA512 f6d600f7595294829bae5b8cade8b66952df02f30b795af6b193401083d61e5dc8ac4ac474ddd5ef72c3fe3e7f11a4a895a5ff89ab7ddd2664382fbe4f8017c2
DIST nptyping-2.1.3.gh.tar.gz 65157 BLAKE2B cae8b1a34ac42bdb805193437d2bc02d16c4c37b6cfd04e84e777ec11ce40b32a8422e89e7c63e876b99fa785bf2b15fcf0ea295313ae8a46e662ecb2e370d5e SHA512 7d0c47f5fc67af6ef3af4c757e75d2b415011c4bb7ef08100b4649dd17a8afe3b430ae1b621d36097e19ee635bdaa95ecda6e62c6fb01a58983c66386b51717c

@ -0,0 +1,50 @@
# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
DESCRIPTION="Type hints for Numpy"
HOMEPAGE="
https://pypi.org/project/nptyping/
https://github.com/ramonhagenaars/nptyping/
"
SRC_URI="
https://github.com/ramonhagenaars/nptyping/archive/v${PV}.tar.gz
-> ${P}.gh.tar.gz
"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
$(python_gen_cond_dep '
dev-python/typing-extensions[${PYTHON_USEDEP}]
' 3.8 3.9)
"
BDEPEND="
test? (
dev-python/mypy[${PYTHON_USEDEP}]
dev-python/typeguard[${PYTHON_USEDEP}]
)
"
EPYTEST_IGNORE=(
# TODO: package beartype?
tests/test_beartype.py
# TODO: package pyright?
tests/test_pyright.py
# test for... whether the release is on pypi?
# requires Internet + feedparser, meaningless for users
tests/test_package_info.py
# relies on Internet access to fetch packages for pip
tests/test_wheel.py
)
distutils_enable_tests pytest

@ -1,2 +1 @@
DIST pyeclib-1.6.0.tar.gz 6685306 BLAKE2B 0b758bd500afc7f9d8e38513cc41f1916413d8ad6f3b1bd34d9ff46d6d33321391eaf90164e412154a14d63d4ba61502457bb943e124dd7054a5d5ec20732294 SHA512 507f78388e941e4600f4b77f636ce27b7f63e635f108dd5a452b3f98f779e87d94d8f82239d9d5733846faa5cc574c0474e366d99e44b8f03b70707d352f56c8
DIST pyeclib-1.6.1.tar.gz 6690168 BLAKE2B 4e59c2827487f09a21f49751455fabd9ce672d6edb83befbc06e7aebe66c2f8de5f83a5ddec612fee2ac727fad247d66f36c659ebdf316759cd9e4438c7f085c SHA512 fdb855551e9695c3748d78d43bc306e536ef45476143445520284d4918f2c84757247d217ada2df565d03b1769ef83ac8c82b92b8438c2d40915f8008fd769c4

@ -1,37 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..9} )
inherit distutils-r1 optfeature
DESCRIPTION="Messaging API for RPC and notifications over different messaging transports"
HOMEPAGE="https://pypi.org/project/PyECLib/"
SRC_URI="mirror://pypi/p/pyeclib/pyeclib-${PV}.tar.gz"
S="${WORKDIR}/pyeclib-${PV}"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ~arm64 x86"
DEPEND="dev-libs/liberasurecode"
RDEPEND="${DEPEND}"
BDEPEND="
test? (
dev-python/six[${PYTHON_USEDEP}]
)
"
distutils_enable_tests unittest
src_prepare() {
# https://review.opendev.org/c/openstack/pyeclib/+/798010
sed -e '/library_dirs/d' -i setup.py || die
distutils-r1_src_prepare
}
pkg_postinst() {
optfeature "jerasure backend" dev-libs/jerasure
}

@ -23,10 +23,20 @@ RDEPEND="
${CDEPEND}
"
DEPEND="${CDEPEND}"
DEPEND="
${CDEPEND}
dev-python/cython[${PYTHON_USEDEP}]
"
BDEPEND="test? (
dev-python/pytest-trio[${PYTHON_USEDEP}]
)"
distutils_enable_tests pytest
python_prepare_all() {
python_setup
# Shipped pre-generated .pyx do not work with Python 3.10.
esetup.py build_cython
distutils-r1_python_prepare_all
}

@ -1 +0,0 @@
DIST pyilmbase-2.5.7.tar.gz 27539574 BLAKE2B 58fd81be52e13d2815b6aa8cea6793359379f5ebf866fd45b31ce30cf5f72aa4699625e7cec51189d62fe76f53418c3e0938f9b827d54ad18342e7aa67c8a3d2 SHA512 e44edfa2dcfff2fe372ed2ba07b39a472e549025978de178eff26be641767d22d1a3b543fb7672d9b7b2e9f4c308667f785829ed6d9032a2b42f2ffa0163de40

@ -1,25 +0,0 @@
From: Bernd Waibel <waebbl-gentoo@posteo.net>
Date: Tue, 22 Jun 2021 11:08:15 +0200
Subject: [PATCH] disable py2 for boost
Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>
---
CMakeLists.txt | 2 --
1 file changed, 2 deletions(-)
diff --git a/CMakeLists.txt b/CMakeLists.txt
index 291b96e..68b280d 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -142,8 +142,6 @@ endif()
find_package(Boost OPTIONAL_COMPONENTS
python
- python2
- ${PYILMBASE_BOOST_PY2_COMPONENT}
python3
${PYILMBASE_BOOST_PY3_COMPONENT})
set(_pyilmbase_have_perver_boost)
--
2.32.0

@ -1,22 +0,0 @@
From: Bernd Waibel <waebbl-gentoo@posteo.net>
Date: Tue, 22 Jun 2021 11:46:30 +0200
Subject: [PATCH 1/2] install imathnumpy.so
Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>
---
PyImathNumpy/CMakeLists.txt | 1 +
1 file changed, 1 insertion(+)
diff --git a/PyImathNumpy/CMakeLists.txt b/PyImathNumpy/CMakeLists.txt
index 7a70f06..2822127 100644
--- a/PyImathNumpy/CMakeLists.txt
+++ b/PyImathNumpy/CMakeLists.txt
@@ -49,4 +49,5 @@ if(TARGET Python3::Python AND
LIBRARY_OUTPUT_NAME "imathnumpy"
DEBUG_POSTFIX ""
)
+ install(TARGETS imathnumpy_python3 DESTINATION ${PyIlmBase_Python3_SITEARCH_REL})
endif()
--
2.32.0

@ -1,30 +0,0 @@
From 7469db402e2affb094585c374518765c69af703d Mon Sep 17 00:00:00 2001
From: Bernd Waibel <waebbl-gentoo@posteo.net>
Date: Tue, 22 Jun 2021 11:47:01 +0200
Subject: [PATCH 2/2] fix pkgconfig file
Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>
---
config/CMakeLists.txt | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/config/CMakeLists.txt b/config/CMakeLists.txt
index a4139bc..45dcca4 100644
--- a/config/CMakeLists.txt
+++ b/config/CMakeLists.txt
@@ -15,9 +15,9 @@ if(PYILMBASE_INSTALL_PKG_CONFIG)
# use a helper function to avoid variable pollution, but pretty simple
function(pyilmbase_pkg_config_help pcinfile)
set(prefix ${CMAKE_INSTALL_PREFIX})
- set(exec_prefix ${CMAKE_INSTALL_BINDIR})
- set(libdir ${CMAKE_INSTALL_LIBDIR})
- set(includedir ${CMAKE_INSTALL_INCLUDEDIR})
+ set(exec_prefix "\${prefix}")
+ set(libdir "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
+ set(includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
string(TOUPPER "${CMAKE_BUILD_TYPE}" uppercase_CMAKE_BUILD_TYPE)
set(LIB_SUFFIX_DASH ${OPENEXR_LIB_SUFFIX}${CMAKE_${uppercase_CMAKE_BUILD_TYPE}_POSTFIX})
string(REPLACE ".in" "" pcout ${pcinfile})
--
2.32.0

@ -1,20 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>waebbl-gentoo@posteo.net</email>
<name>Bernd Waibel</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<use>
<flag name="exceptions">
Enable runtime floating point exceptions in PyIMath.
</flag>
</use>
<upstream>
<remote-id type="github">AcademySoftwareFoundation/openexr</remote-id>
</upstream>
</pkgmetadata>

@ -1,56 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{8..9} )
inherit cmake python-single-r1
DESCRIPTION="IlmBase Python bindings"
HOMEPAGE="https://www.openexr.com"
SRC_URI="https://github.com/AcademySoftwareFoundation/openexr/archive/v${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/openexr-${PV}/PyIlmBase"
LICENSE="BSD"
SLOT="0/25"
KEYWORDS="amd64 ~x86"
IUSE="exceptions test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RESTRICT="!test? ( test )"
RDEPEND="
${PYTHON_DEPS}
!dev-libs/imath[python]
~media-libs/openexr-${PV}:=
sys-libs/zlib
$(python_gen_cond_dep '
>=dev-libs/boost-1.62.0-r1:=[python,${PYTHON_USEDEP}]
>=dev-python/numpy-1.10.4[${PYTHON_USEDEP}]
')
"
DEPEND="${RDEPEND}"
BDEPEND="
virtual/pkgconfig
"
PATCHES=(
"${FILESDIR}"/${P}-0001-disable-py2-for-boost.patch
"${FILESDIR}"/${P}-0002-install-imathnumpy.so.patch
"${FILESDIR}"/${P}-0003-fix-pkgconfig-file.patch
)
DOCS=( README.md )
src_configure() {
local mycmakeargs=(
# starting with boost-1.76.0 we ship the cmake config files
-DBoost_NO_BOOST_CMAKE=OFF
-DCMAKE_DISABLE_FIND_PACKAGE_Python2=ON
-DPYILMBASE_INSTALL_PKG_CONFIG=ON
-DPYIMATH_ENABLE_EXCEPTIONS=$(usex exceptions)
-DPython3_EXECUTABLE="${PYTHON}"
-DPython3_INCLUDE_DIR=$(python_get_includedir)
-DPython3_LIBRARY=$(python_get_library_path)
)
cmake_src_configure
}

@ -1,55 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{8..9} )
inherit cmake python-single-r1
DESCRIPTION="IlmBase Python bindings"
HOMEPAGE="https://www.openexr.com"
SRC_URI="https://github.com/AcademySoftwareFoundation/openexr/archive/v${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/openexr-${PV}/PyIlmBase"
LICENSE="BSD"
SLOT="0/25"
KEYWORDS="amd64 ~x86"
IUSE="exceptions test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RESTRICT="!test? ( test )"
RDEPEND="
${PYTHON_DEPS}
~media-libs/openexr-${PV}:=
sys-libs/zlib
$(python_gen_cond_dep '
>=dev-libs/boost-1.62.0-r1:=[python,${PYTHON_USEDEP}]
>=dev-python/numpy-1.10.4[${PYTHON_USEDEP}]
')
"
DEPEND="${RDEPEND}"
BDEPEND="
virtual/pkgconfig
"
PATCHES=(
"${FILESDIR}"/${P}-0001-disable-py2-for-boost.patch
"${FILESDIR}"/${P}-0002-install-imathnumpy.so.patch
"${FILESDIR}"/${P}-0003-fix-pkgconfig-file.patch
)
DOCS=( README.md )
src_configure() {
local mycmakeargs=(
# starting with boost-1.76.0 we ship the cmake config files
-DBoost_NO_BOOST_CMAKE=OFF
-DCMAKE_DISABLE_FIND_PACKAGE_Python2=ON
-DPYILMBASE_INSTALL_PKG_CONFIG=ON
-DPYIMATH_ENABLE_EXCEPTIONS=$(usex exceptions)
-DPython3_EXECUTABLE="${PYTHON}"
-DPython3_INCLUDE_DIR=$(python_get_includedir)
-DPython3_LIBRARY=$(python_get_library_path)
)
cmake_src_configure
}

@ -1 +1,2 @@
DIST python-dbusmock-0.27.5.tar.gz 89775 BLAKE2B 316bb1ae06c894702d54b7a54d0c422a877c50fb7e8aa4a1bb3c9ac342acdec8f6adaafea86afa5aa041414a283fdd284e27b58728efa234fb8bcbbf92b25f27 SHA512 6e5f5eddfc949c610b64a766434988c142397893e088b8522e6895e31383ec3c14d2f053f9aab17f00137e883a01bf95be35326f7ca97ee8c9780d6704e7d1dc
DIST python-dbusmock-0.28.0.gh.tar.gz 85445 BLAKE2B 65038699f11de8fd8c50937023c1da113964ea81f39ba151bddf9cb69021c33f3de67b9fe5f7ac5d0a484f324b705b83d462fd1ffbab642d827ef1a3d82460a4 SHA512 62db0e6e8292f0d6426ec6f13af9aada8175ea5d5e84bf4d3890f0c3897c0ea06295de0625ec6041a86bb688fad28d6da9a1b3310daafeae4e56d7a596a90092

@ -0,0 +1,37 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..11} )
PYTHON_REQ_USE="xml(+)"
inherit distutils-r1
DESCRIPTION="Easily create mock objects on D-Bus for software testing"
HOMEPAGE="https://github.com/martinpitt/python-dbusmock"
SRC_URI="
https://github.com/martinpitt/python-dbusmock/releases/download/${PV}/${P}.tar.gz
-> ${P}.gh.tar.gz
"
LICENSE="LGPL-3+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
dev-python/dbus-python[${PYTHON_USEDEP}]
dev-python/pygobject:3[${PYTHON_USEDEP}]
"
distutils_enable_tests unittest
src_prepare() {
# needed for unittest discovery
> tests/__init__.py || die
# linter tests, fragile to newer linter versions
rm tests/test_code.py || die
distutils-r1_src_prepare
}

@ -1,2 +1,3 @@
DIST sphinxcontrib-spelling-7.3.3.tar.gz 51912 BLAKE2B 6a9bd90db2298beb78686252d555dd5e77d0c9042eb0986dd2eeab9e413a921c5f5f594c539c2cfe6315002c2f2892241b789b10976e634158f3ca1d8be1b627 SHA512 7406bd846c5eac507f8e4481ada4d0d725d0a3ad8cf2f8fd3328389128cf54091bb0e304dfe23fdf771a26d9103d2c028d2f7f29e1949ca59fcf43de5bac9cb1
DIST sphinxcontrib-spelling-7.5.0.tar.gz 54978 BLAKE2B ed56e27434a43d688a63ff6ca8aa7889a80a0a750abdebc5e9307c68fae8a14ae7ba065b127c583fff11499e75750aee6f017b4d442204b1a2308a5c8692e73c SHA512 d306d19664990cfb6ceff947f3a34243a8ead95b0e6076f9da924cd0ef43e2621178bd374400f805970592f803d6a129c74a32a6c6837d41e4f72118da667138
DIST sphinxcontrib-spelling-7.5.1.tar.gz 55547 BLAKE2B 61415fb62b0d47672901048276897d7578f891732278d9ea0b4fe0ca5f42654114f76d600ffcf0f602afe1c0d46f4bf466c326337accf910090f768c1cee1c69 SHA512 d38114421e519ed127eae712637677a8ae75cc640087d2e7740d8c106a0d7058e633f65fb1ac9ee2fa75d295b218aa98d3a3279b077f2a89ea947a3b4c0fd05a

@ -0,0 +1,49 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..11} )
inherit distutils-r1
DESCRIPTION="Sphinx spelling extension"
HOMEPAGE="
https://github.com/sphinx-contrib/spelling/
https://pypi.org/project/sphinxcontrib-spelling/
"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
RDEPEND="
dev-python/pyenchant[${PYTHON_USEDEP}]
dev-python/sphinx[${PYTHON_USEDEP}]
"
BDEPEND="
dev-python/pbr[${PYTHON_USEDEP}]
test? (
app-dicts/myspell-en
)
"
distutils_enable_tests pytest
EPYTEST_DESELECT=(
# requires the git repo
tests/test_filter.py::test_contributors
)
python_compile() {
distutils-r1_python_compile
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
python_test() {
distutils_write_namespace sphinxcontrib
rm -rf sphinxcontrib || die
epytest tests
}

@ -1 +1,2 @@
DIST uncertainties-3.1.6.tar.gz 158419 BLAKE2B 09582936a9b982efeee6cf3c99de568ebc820940ca2bfa1e4fd10edbcbd9447e7711158f8b98567a506d6c5a9ecf63b6e21d296c7f8d8dcbbaf4c2fb6a571355 SHA512 8835ed851d00bbe830770e57bc89ce57acf291e6cef2fca59897adb75e1e2de456da3631f73242ade20f567358b1d727b2b7f5df02e2f3e0cd8d861e81a6a211
DIST uncertainties-3.1.7.tar.gz 158727 BLAKE2B d68b74d291b1f6c4505a47f6fa19653eade43dc1ccaf78e02bd320df92d8bdaeac1b0808a21dceb046a6e2acd076836728b4014d39ca8da17647582320ce50e8 SHA512 24576415265df22459d83bb28e632195e6760204a6e11523821afe25222ea3e035bf7f10c552ec456bb2cdf42a09e296865f9bf0d13ff44beb88c11ebc479ff9

@ -0,0 +1,28 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1 optfeature
DESCRIPTION="Python module for calculations with uncertainties"
HOMEPAGE="https://pythonhosted.org/uncertainties/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
RDEPEND="dev-python/future[${PYTHON_USEDEP}]"
BDEPEND="${RDEPEND}
test? ( dev-python/numpy[${PYTHON_USEDEP}] )
"
distutils_enable_tests nose
distutils_enable_sphinx doc --no-autodoc
pkg_postinst() {
optfeature "numpy support" dev-python/numpy
}

@ -77,7 +77,7 @@ LICENSE="MIT"
LICENSE+=" Apache-2.0 Apache-2.0-with-LLVM-exceptions Artistic-2 BSD"
LICENSE+=" CC0-1.0 ISC MIT Unlicense"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
RDEPEND="
=dev-python/anyio-3*[${PYTHON_USEDEP}]

Binary file not shown.

@ -1 +1,2 @@
DIST qttools-everywhere-opensource-src-5.15.4.tar.xz 8897256 BLAKE2B e7d8055c9b4b52b188f61c73a300275838647d95f9eb0437129482d91584bbc0705ce9360b0a8fee2775a4cfefda53bc5aae70b10ca34d1bdeb09aa19b7d13bb SHA512 26edf546a1ec7195f1ff5a9e40e430fdd0c7ebb7d86e44ed22b093426c23ff25b2c972fa520abd1064369d32609019746c2fe972a3f593c6f7539d339642f06e
DIST qttools-everywhere-opensource-src-5.15.5.tar.xz 8898140 BLAKE2B 49b7b0db9d9ae9c6d405678eab0ec097bc160eb7787bc939aa92816cc63c5c97aef2de0c978a2a3597014878dca9466631131bc7746bd03d87229ed7edb6594c SHA512 ff5e658ec812dd36d00ad3ac7e824de708968ff1c66a73da1470b6f0cdb6853a7084f18b1bcf1614afd4c23f381d817d7eb665f8573a4e981a9b87c6e4d6fa2b

@ -0,0 +1,59 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
QT5_MODULE="qttools"
inherit desktop qt5-build xdg-utils
DESCRIPTION="Tool for viewing on-line documentation in Qt help file format"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc64 ~sparc ~x86"
fi
IUSE=""
DEPEND="
=dev-qt/qtcore-${QT5_PV}*:5=
=dev-qt/qtgui-${QT5_PV}*[png]
=dev-qt/qthelp-${QT5_PV}*
=dev-qt/qtnetwork-${QT5_PV}*
=dev-qt/qtprintsupport-${QT5_PV}*
=dev-qt/qtsql-${QT5_PV}*[sqlite]
=dev-qt/qtwidgets-${QT5_PV}*
"
RDEPEND="${DEPEND}
!dev-qt/${PN}:5
!<dev-qt/qtchooser-66-r2
"
QT5_TARGET_SUBDIRS=(
src/assistant/assistant
)
src_prepare() {
sed -e "s/qtHaveModule(webkitwidgets)/false/g" \
-i src/assistant/assistant/assistant.pro || die
qt5-build_src_prepare
}
src_install() {
qt5-build_src_install
qt5_symlink_binary_to_path assistant
doicon -s 32 src/assistant/assistant/images/assistant.png
newicon -s 128 src/assistant/assistant/images/assistant-128.png assistant.png
make_desktop_entry "${QT5_BINDIR}"/assistant 'Qt 5 Assistant' assistant 'Qt;Development;Documentation'
}
pkg_postinst() {
qt5-build_pkg_postinst
xdg_icon_cache_update
}
pkg_postrm() {
qt5-build_pkg_postrm
xdg_icon_cache_update
}

@ -1 +1,2 @@
DIST qttools-everywhere-opensource-src-5.15.4.tar.xz 8897256 BLAKE2B e7d8055c9b4b52b188f61c73a300275838647d95f9eb0437129482d91584bbc0705ce9360b0a8fee2775a4cfefda53bc5aae70b10ca34d1bdeb09aa19b7d13bb SHA512 26edf546a1ec7195f1ff5a9e40e430fdd0c7ebb7d86e44ed22b093426c23ff25b2c972fa520abd1064369d32609019746c2fe972a3f593c6f7539d339642f06e
DIST qttools-everywhere-opensource-src-5.15.5.tar.xz 8898140 BLAKE2B 49b7b0db9d9ae9c6d405678eab0ec097bc160eb7787bc939aa92816cc63c5c97aef2de0c978a2a3597014878dca9466631131bc7746bd03d87229ed7edb6594c SHA512 ff5e658ec812dd36d00ad3ac7e824de708968ff1c66a73da1470b6f0cdb6853a7084f18b1bcf1614afd4c23f381d817d7eb665f8573a4e981a9b87c6e4d6fa2b

@ -0,0 +1,58 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
QT5_MODULE="qttools"
inherit desktop qt5-build xdg-utils
DESCRIPTION="WYSIWYG tool for designing and building graphical user interfaces with QtWidgets"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
fi
IUSE="declarative"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*:5=
=dev-qt/qtgui-${QT5_PV}*:5=[png]
=dev-qt/qtnetwork-${QT5_PV}*
=dev-qt/qtprintsupport-${QT5_PV}*
=dev-qt/qtwidgets-${QT5_PV}*
=dev-qt/qtxml-${QT5_PV}*
declarative? ( =dev-qt/qtdeclarative-${QT5_PV}*[widgets] )
"
RDEPEND="${DEPEND}"
QT5_TARGET_SUBDIRS=(
src/designer
)
src_prepare() {
qt_use_disable_mod declarative quickwidgets \
src/designer/src/plugins/plugins.pro
sed -e "s/qtHaveModule(webkitwidgets)/false/g" \
-i src/designer/src/plugins/plugins.pro || die
qt5-build_src_prepare
}
src_install() {
qt5-build_src_install
qt5_symlink_binary_to_path designer 5
doicon -s 128 src/designer/src/designer/images/designer.png
make_desktop_entry "${QT5_BINDIR}"/designer 'Qt 5 Designer' designer 'Qt;Development;GUIDesigner'
}
pkg_postinst() {
qt5-build_pkg_postinst
xdg_icon_cache_update
}
pkg_postrm() {
qt5-build_pkg_postrm
xdg_icon_cache_update
}

@ -1,2 +1,3 @@
DIST qttools-5.15.4-gentoo-kde-1.tar.xz 1320 BLAKE2B 6e25237a0c36380e55dc48c04bc01a9d1ac0d398f47bde09ef2435d97267a38a5c74af856ef4544727292c3aa0bf10f305529b7ccc24b4565c60119dd5597559 SHA512 19ea717ccd5c053037206cdd2dc533f285306c207fcc0daf46fba6e2d6fcde3561043b45da4bc830bb181bad46904b191149b65c5bb76414bd975f1a4706afef
DIST qttools-everywhere-opensource-src-5.15.4.tar.xz 8897256 BLAKE2B e7d8055c9b4b52b188f61c73a300275838647d95f9eb0437129482d91584bbc0705ce9360b0a8fee2775a4cfefda53bc5aae70b10ca34d1bdeb09aa19b7d13bb SHA512 26edf546a1ec7195f1ff5a9e40e430fdd0c7ebb7d86e44ed22b093426c23ff25b2c972fa520abd1064369d32609019746c2fe972a3f593c6f7539d339642f06e
DIST qttools-everywhere-opensource-src-5.15.5.tar.xz 8898140 BLAKE2B 49b7b0db9d9ae9c6d405678eab0ec097bc160eb7787bc939aa92816cc63c5c97aef2de0c978a2a3597014878dca9466631131bc7746bd03d87229ed7edb6594c SHA512 ff5e658ec812dd36d00ad3ac7e824de708968ff1c66a73da1470b6f0cdb6853a7084f18b1bcf1614afd4c23f381d817d7eb665f8573a4e981a9b87c6e4d6fa2b

@ -10,7 +10,7 @@ inherit qt5-build
DESCRIPTION="Tools for working with Qt translation data files"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~sparc x86"
KEYWORDS="amd64 ~arm ~arm64 ~hppa ~loong ppc ppc64 ~riscv ~sparc x86"
fi
IUSE="qml"

@ -0,0 +1,36 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
QT5_MODULE="qttools"
inherit qt5-build
DESCRIPTION="Tools for working with Qt translation data files"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
fi
IUSE="qml"
DEPEND="
=dev-qt/qtcore-${QT5_PV}*:5=
=dev-qt/qtxml-${QT5_PV}*
qml? ( =dev-qt/qtdeclarative-${QT5_PV}* )
"
RDEPEND="${DEPEND}"
QT5_TARGET_SUBDIRS=(
src/linguist
)
src_prepare() {
sed -i -e '/SUBDIRS += linguist/d' \
src/linguist/linguist.pro || die
qt_use_disable_mod qml qmldevtools-private \
src/linguist/lupdate/lupdate.pro
qt5-build_src_prepare
}

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save